<?php
include_once('vitec/getImages.php');
include_once('vitec/getOptions.php');
include_once('vitec/getFiles.php');
include_once('vitec/getUser.php');


require_once('Aqua-Resizer-master/aq_resizer.php');

function imageResizeNewFunc( $url,$width, $height ){ 
		$size = getimagesize($url); 
		if( $size[0] > $width && $size[1] > $height ){ 
				$url = aq_resize( $url, $width, $height, true, true, true ); 
		} 
		else {
		 $url = $url; 
		} 
		return $url; 
}

add_theme_support('avia_template_builder_custom_css');

$avia_config['imgSize']['desktop-slider']= array('width'=>1920, 'height'=>600 );            // images for fullsize pages and fullsize slider
$avia_config['imgSize']['mobile-slider']= array('width'=>1030, 'height'=>1030 );

function site_scripts() {
		wp_enqueue_style('font-style', get_stylesheet_directory_uri().'/css/font-awesome.css');
		wp_enqueue_style('slick-style', get_stylesheet_directory_uri().'/css/slick.css');
		wp_enqueue_style('child-style', get_stylesheet_directory_uri().'/style.css');
		

		wp_enqueue_script( 'js', get_stylesheet_directory_uri() . '/js/jquery.min.js', array(), true ); 
		wp_enqueue_script( 'eual-js', get_stylesheet_directory_uri() . '/js/equal-height.js', array(), true ); 
		wp_enqueue_script( 'slick-js', get_stylesheet_directory_uri() . '/js/slick.js', array(), true ); 
		
		wp_enqueue_script( 'masonary-js', get_stylesheet_directory_uri() . '/js/masonry.pkgd.min.js', array(), true );   
		wp_enqueue_script( 'custome-js', get_stylesheet_directory_uri() . '/js/custom.js', array(), true );   
}

add_action( 'wp_enqueue_scripts', 'site_scripts' );

add_action( 'wp_enqueue_scripts', 'site_scripts' );
add_action('wp_head', 'myplugin_ajaxurl');

function myplugin_ajaxurl() 
{
		echo '<script type="text/javascript">
					 var ajaxurl = "' . admin_url('admin-ajax.php') . '";
					 var parentTheme = "' .get_template_directory_uri() . '";
				 </script>';
}


add_shortcode('home_vitech_post', 'home_vitech_post_callback');

function home_vitech_post_callback() { 
	ob_start();
	?>
	<div class="homeproperties">
		<?php for ($i=0; $i < 4; $i++) { ?>
		<div>
			<img src="<?php echo site_url() ?>/wp-content/uploads/2018/05/shutterstock_129797951.jpg">
			<h3>Lorem Ipsume</h3>
			<a href="#" class="rk_readmore">LÄS MER</a>
		</div>
		<?php } ?>
	</div>
	<?php
	return ob_get_clean();
}
function sortBy($field, &$array, $direction = 'asc')
{
		usort($array, create_function('$a, $b', '
				$a = $a["' . $field . '"];
				$b = $b["' . $field . '"];
				if ($a == $b)
				{
						return 0;
				}
				return ($a ' . ($direction == 'desc' ? '>' : '<') .' $b) ? -1 : 1;
		'));
		return true;
}

add_shortcode('listingmap', 'listingmap_callback');

function listingmap_callback() {
ob_start();
$args = array('post_type'=>'till-salu', 'posts_per_page' => -1 );
$posts = get_posts($args);
$markers = array();
$array = array();
$array1 = '[';
foreach ($posts as $k => $v) {
	$post_id = $v->ID;
	$des = $v->post_content;
	$des = substr($des, 0, 150);
	$des = str_replace("'", '', $des);
	$des = trim(preg_replace('/\s\s+/', ' ', $des));
	$lat = get_post_meta($post_id, 'coordinate_latitud', true);
	$long = get_post_meta($post_id, 'coordinate_longitud', true);
	$array[] = array($v->post_title,$lat,$long);
	$img1 = get_post_meta($post_id, 'postimage', true);
	$image = '';
	if($img1) {
		$image = $img1[1];
		$image = aq_resize( $image, 196, 130, true );
	}
	$all_estate_infos = get_post_meta($post_id, 'all_estate_infos', true);
	$all_estate_infos = json_decode($all_estate_infos);
	$rooms = get_post_meta($post_id, 'rooms', true);
	$livingSpace = $all_estate_infos->baseInformation->livingSpace;
	$area = $all_estate_infos->plot->area;
	$otherSpace = $all_estate_infos->baseInformation->otherSpace;
	$rooms = get_post_meta($post_id, 'rooms', true);
	$price = get_post_meta($post_id, 'price', true);
	$price = number_format($price, '0', '', ' ');
	$dess = '';
	// if($otherSpace) {
	//   $dess .='<div><strong>Boarea : </strong>'.$otherSpace.' kvm</div>';
	// }
	// if($livingSpace) {
	//   $dess .='<div><strong>Biarea : </strong>'.$livingSpace.' kvm</div>';
	// }
	// if($area) {
	//   $dess .='<div><strong>Tomtarea : </strong>'.$area.' kvm</div>';
	// }
	// if($rooms) {
	//   $dess .='<div><strong>Antal Rum : </strong>'.$rooms.'</div>';
	// }
	// if($price) {
	//   $dess .='<div><strong>Utgångspris : </strong>'.$price.' kr</div>';
	// }

	$streetAddress = get_post_meta($post_id, 'streetAddress', true);

	if($livingSpace) {
		$dess .='<div>'.$livingSpace.' kvm</div>';
	}
	if($rooms) {
		$dess .='<div>'.$rooms.' rum</div>';
	}

	$images_infos = GetVitecInformation('images', $post_id);
	$images_infos1 = array();
	foreach ($images_infos as $key1 => $value1) {
		$showImageOnInternet = $value1->showImageOnInternet;
		if($showImageOnInternet) {
			$images_infos1[] = $value1->imageId;
		}
	}
	$img1 = get_post_meta($post_id, 'postimage', false);
	$image = '';
	$ircheck = true;
	if($img1) {
		sortBy('3', $img1);
		foreach ($img1 as $key => $value) {
			if(in_array($value[2], $images_infos1) && $value && $ircheck) {
				$ircheck = false;
				$image = $value[1];
				 $image = aq_resize( $image, 800, 500, true );

				 if($image == '')
				 {
						$comLogoImg = $value[1];
						$comLogoImgParseUrl = parse_url($comLogoImg);
					 $comLogoImgFilename = '';
						$comLogoImgDir = '';
						if($comLogoImg != '')
						{
								$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
								$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
								$path_partsLogo = pathinfo($comLogoImgFilename);
								$comLogoImgExt = $path_partsLogo['extension'];
								$comLogoImgAftFilename = $path_partsLogo['filename'];
								 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
								 {
										$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
										$resize->resizeTo(371, 232, 'maxheight');
										$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
								}
								$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
						}
				 }
			}
		}
	}

	$imgHtml = '';
	if($image != '')
	{
		$imgHtml = '<div class="propertyImg" style="background: url('.$image.')"></div>';
	}

//$array1 .= '[\'<div class="info_content"><a href="'.get_the_permalink($v->ID).'"><div class="maphead">'.$v->post_title.'</div><div class="mapdes"><img src="'.$image.'"><div>'.$dess.'</div></div><div class="mapfot">'.$v->post_title.'</div></a></div>\'],';
$array1 .= '[\'<a href="'.get_the_permalink($v->ID).'"><div class="info_content"><div>'.$streetAddress.'</div>'.$imgHtml.'<div class="maphead">'.$v->post_title.'</div><div class="mapdes"></div><div>'.$dess.'</div></div></a>\'],';
}
$array1 .= ']';

//echo "<pre>"; print_r($array); echo '</pre>';
$center = array();
$center['lat'] = '';
$center['long'] = '';
$ci = 0;

$mapArray = array();
if(!empty($array))
{
	$mi = 0;
	foreach ($array as $key => $value) {

			if($value[1] != 0 )
			{
					$center['lat'] = $value[1];
					$center['long'] = $value[2];
					$ci=1;

					$mapArray[$mi][0] = $value[0];
					$mapArray[$mi][1] = $value[1];
					$mapArray[$mi][2] = $value[2];
					$mi++;
			}
	}
}
?>
<script type="text/javascript">
jQuery(function($) {
						// Asynchronously Load the map API 
						var script = document.createElement('script');
						script.src = "//maps.googleapis.com/maps/api/js?callback=initialize&key=AIzaSyAlWt1SCOef3L5TS_EIrxMzh7utibbJzcw";
						document.body.appendChild(script);
				});

				function initialize() {
						var map;
						var bounds = new google.maps.LatLngBounds();
						var mapOptions = {
							center: new google.maps.LatLng(<?php echo $center['lat']; ?>, <?php echo $center['long'] ?>),
							disableDefaultUI: true,
							draggable: true,
							zoomControl: true,
							mapTypeId: google.maps.MapTypeId.ROADMAP
						};
														
						// Display a map on the page
						map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
						map.setTilt(45);
								
						// Multiple Markers
						var markers = eval('<?php echo json_encode($mapArray); ?>');
																
						// Info Window Content
						var infoWindowContent = eval(<?php echo $array1; ?>);
								
						// Display multiple markers on a map
						var infoWindow = new google.maps.InfoWindow(), marker, i;
						
						// Loop through our array of markers & place each one on the map  
						for( i = 0; i < markers.length; i++ ) {
								var position = new google.maps.LatLng(markers[i][1], markers[i][2]);
								bounds.extend(position);
								marker = new google.maps.Marker({
										position: position,
										icon: "<?php echo get_stylesheet_directory_uri().'/img/marker-active.svg' ?>",
										map: map,
										title: markers[i][0]
								});
								
								// Allow each marker to have an info window    
								google.maps.event.addListener(marker, 'click', (function(marker, i) {
										return function() {
												infoWindow.setContent(infoWindowContent[i][0]);
												infoWindow.open(map, marker);
										}
								})(marker, i));

								// Automatically center the map fitting all markers on the screen
								map.fitBounds(bounds);
						}

						// Override our map zoom level once our fitBounds function runs (Make sure it only runs once)
						var boundsListener = google.maps.event.addListener((map), 'bounds_changed', function(event) {
								this.setZoom(8);
								google.maps.event.removeListener(boundsListener);
						});
						
				}
</script>
<div id="map_canvas" class="mapping"></div>
<style type="text/css">
 #map_canvas {
		width: 100%;
		height: 80vh;
		margin-bottom: 50px;
}  
.info_content {
		max-width: 360px;
}
.maphead {
		background: #843532;
		color: #fff;
		width: 100%;
		font-weight: 600;
		font-size: 16px;
		padding: 10px 10px;
		margin-bottom: 10px;
}
.mapfot {
		background: #843532;
		color: #fff;
		width: 100%;
		font-weight: 600;
		font-size: 14px;
		padding: 7px 10px;
		margin-bottom: 10px;
		margin-top: 10px
}
.info_content .mapdes > img {
	width: 30%;
	vertical-align: top;
	display: inline-block;
}        
.info_content .mapdes > div {
	width: 65%;
	margin-left: 3%;
	vertical-align: top;
	display: inline-block;
}
</style>
<?php
return ob_get_clean();  
}
add_shortcode('listingmap_kommande', 'listingmap_callback_kommande');

function listingmap_callback_kommande() {
ob_start();
$args = array('post_type'=>'till-salu', 'posts_per_page' => 10 );
$posts = get_posts($args);
$markers = array();
$array = array();
$array1 = '[';
foreach ($posts as $k => $v) {
	$post_id = $v->ID;
	$all_estate_infos = get_post_meta($post_id, 'all_estate_infos', true);
	$all_estate_infos = json_decode($all_estate_infos);
	if($all_estate_infos->advertiseOn->showAsComming)
	{
	$des = $v->post_content;
	$des = substr($des, 0, 150);
	$des = str_replace("'", '', $des);
	$des = trim(preg_replace('/\s\s+/', ' ', $des));
	$lat = get_post_meta($post_id, 'coordinate_latitud', true);
	$long = get_post_meta($post_id, 'coordinate_longitud', true);
	$array[] = array($v->post_title,$lat,$long);
	$img1 = get_post_meta($post_id, 'postimage', true);
	$image = '';
	if($img1) {
		$image = $img1[1];
		$image = aq_resize( $image, 196, 130, true );
	}
		$rooms = get_post_meta($post_id, 'rooms', true);
		$livingSpace = $all_estate_infos->baseInformation->livingSpace;
		$area = $all_estate_infos->plot->area;
		$otherSpace = $all_estate_infos->baseInformation->otherSpace;
		$rooms = get_post_meta($post_id, 'rooms', true);
		$price = get_post_meta($post_id, 'price', true);
		$price = number_format($price, '0', '', ' ');
		$dess = '';

		$images_infos = GetVitecInformation('images', $post_id);
	$images_infos1 = array();
	foreach ($images_infos as $key1 => $value1) {
		$showImageOnInternet = $value1->showImageOnInternet;
		if($showImageOnInternet) {
			$images_infos1[] = $value1->imageId;
		}
	}
	$img1 = get_post_meta($post_id, 'postimage', false);
	$image = '';
	$ircheck = true;
	if($img1) {
		sortBy('3', $img1);
		foreach ($img1 as $key => $value) {
			if(in_array($value[2], $images_infos1) && $value && $ircheck) {
				$ircheck = false;
				$image = $value[1];
				 $image = aq_resize( $image, 800, 500, true );
				 
				 if($image == '')
				 {
						$comLogoImg = $value[1];
						$comLogoImgParseUrl = parse_url($comLogoImg);
					 $comLogoImgFilename = '';
						$comLogoImgDir = '';
						if($comLogoImg != '')
						{
								$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
								$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
								$path_partsLogo = pathinfo($comLogoImgFilename);
								$comLogoImgExt = $path_partsLogo['extension'];
								$comLogoImgAftFilename = $path_partsLogo['filename'];
								 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
								 {
										$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
										$resize->resizeTo(371, 232, 'maxheight');
										$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
								}
								$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
						}
				 }
			}
		}
	}

	$imgHtml = '';
	if($image != '')
	{
		$imgHtml = '<div class="propertyImg" style="background: url('.$image.')"></div>';
	}

		// if($otherSpace) {
		//   $dess .='<div><strong>Boarea : </strong>'.$otherSpace.' kvm</div>';
		// }
		// if($livingSpace) {
		//   $dess .='<div><strong>Biarea : </strong>'.$livingSpace.' kvm</div>';
		// }
		// if($area) {
		//   $dess .='<div><strong>Tomtarea : </strong>'.$area.' kvm</div>';
		// }
		// if($rooms) {
		//   $dess .='<div><strong>Antal Rum : </strong>'.$rooms.'</div>';
		// }
		// if($price) {
		//   $dess .='<div><strong>Utgångspris : </strong>'.$price.' kr</div>';
		// }

		$streetAddress = get_post_meta($post_id, 'streetAddress', true);

		if($livingSpace) {
			$dess .='<div>'.$livingSpace.' kvm</div>';
		}
		if($rooms) {
			$dess .='<div>'.$rooms.' rum</div>';
		}
	//$array1 .= '[\'<div class="info_content"><a href="'.get_the_permalink($v->ID).'"><div class="maphead">'.$v->post_title.'</div><div class="mapdes"><img src="'.$image.'"><div>'.$dess.'</div></div><div class="mapfot">'.$v->post_title.'</div></a></div>\'],';
	$array1 .= '[\'<a href="'.get_the_permalink($v->ID).'"><div class="info_content"><div>'.$streetAddress.'</div>'.$imgHtml.'<div class="maphead">'.$v->post_title.'</div><div class="mapdes"></div><div>'.$dess.'</div></div></a>\'],';
	}
}
$array1 .= ']';

//echo "<pre>"; print_r($array); echo '</pre>';
$center = array();
$center['lat'] = '';
$center['long'] = '';
$ci = 0;

$mapArray = array();
if(!empty($array))
{
	$mi = 0;
	foreach ($array as $key => $value) {

			if($value[1] != 0 )
			{
					$center['lat'] = $value[1];
					$center['long'] = $value[2];
					$ci=1;

					$mapArray[$mi][0] = $value[0];
					$mapArray[$mi][1] = $value[1];
					$mapArray[$mi][2] = $value[2];
					$mi++;
			}
	}
}

?>
<script type="text/javascript">
jQuery(function($) {
						// Asynchronously Load the map API 
						var script = document.createElement('script');
						script.src = "//maps.googleapis.com/maps/api/js?callback=initialize&key=AIzaSyAlWt1SCOef3L5TS_EIrxMzh7utibbJzcw";
						document.body.appendChild(script);
				});

				function initialize() {
						var map;
						var bounds = new google.maps.LatLngBounds();
						var mapOptions = {
							center: new google.maps.LatLng(<?php echo $center['lat']; ?>, <?php echo $center['long'] ?>),
							disableDefaultUI: true,
							draggable: true,
							zoomControl: true,
							mapTypeId: google.maps.MapTypeId.ROADMAP
						};
														
						// Display a map on the page
						map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
						map.setTilt(45);
								
						// Multiple Markers
						var markers = eval('<?php echo json_encode($mapArray); ?>');
																
						// Info Window Content
						var infoWindowContent = eval(<?php echo $array1; ?>);
								
						// Display multiple markers on a map
						var infoWindow = new google.maps.InfoWindow(), marker, i;
						
						// Loop through our array of markers & place each one on the map  
						for( i = 0; i < markers.length; i++ ) {
								var position = new google.maps.LatLng(markers[i][1], markers[i][2]);
								bounds.extend(position);
								marker = new google.maps.Marker({
										position: position,
										icon: "<?php echo get_stylesheet_directory_uri().'/img/marker-active.svg' ?>",
										map: map,
										title: markers[i][0]
								});
								
								// Allow each marker to have an info window    
								google.maps.event.addListener(marker, 'click', (function(marker, i) {
										return function() {
												infoWindow.setContent(infoWindowContent[i][0]);
												infoWindow.open(map, marker);
										}
								})(marker, i));

								// Automatically center the map fitting all markers on the screen
								map.fitBounds(bounds);
						}

						// Override our map zoom level once our fitBounds function runs (Make sure it only runs once)
						var boundsListener = google.maps.event.addListener((map), 'bounds_changed', function(event) {
								this.setZoom(8);
								google.maps.event.removeListener(boundsListener);
						});
						
				}
</script>
<div id="map_canvas" class="mapping"></div>
<style type="text/css">
 #map_canvas {
		width: 100%;
		height: 80vh;
		margin-bottom: 50px;
}  
.info_content {
		max-width: 360px;
}
.maphead {
		background: #843532;
		color: #fff;
		width: 100%;
		font-weight: 600;
		font-size: 16px;
		padding: 10px 10px;
		margin-bottom: 10px;
}
.mapfot {
		background: #843532;
		color: #fff;
		width: 100%;
		font-weight: 600;
		font-size: 14px;
		padding: 7px 10px;
		margin-bottom: 10px;
		margin-top: 10px
}
.info_content .mapdes > img {
	width: 30%;
	vertical-align: top;
	display: inline-block;
}        
.info_content .mapdes > div {
	width: 65%;
	margin-left: 3%;
	vertical-align: top;
	display: inline-block;
}
</style>
<?php
return ob_get_clean();  
}

// add_filter( 'cron_schedules', 'isa_add_every_three_minutes' );
// function isa_add_every_three_minutes( $schedules ) {
//     $schedules['every_three_minutes'] = array(
//             'interval'  => 180,
//             'display'   => __( 'Every 180 second', 'textdomain' )
//     );
//     return $schedules;
// }

// Schedule an action if it's not already scheduled
// if ( ! wp_next_scheduled( 'isa_add_every_three_minutes' ) ) {
//     wp_schedule_event( time(), 'every_three_minutes', 'isa_add_every_three_minutes' );
// }

// Hook into that action that'll fire every three minutes
// 
// add_action( 'isa_add_every_three_minutes', 'every_three_minutes_event_func' );
function every_three_minutes_event_func() {
	// wp_mail('ravikantggitm@gmail.com', 'subject', 'message');
	global $allapipost;
$allapipost = array();
//deleting all 


$URL = "https://connect.maklare.vitec.net/Estate/GetEstateList";
$ch = curl_init();

$userid = get_option('vtec_userid');
$password = get_option('vtec_password');
$customerId = get_option('vtec_custmorid');


curl_setopt($ch, CURLOPT_USERNAME, $userid);
curl_setopt($ch, CURLOPT_PASSWORD, $password);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_URL, $URL);
//setting request parameters in json format.
$data ='{
	"customerId": "'.$customerId.'",
	"typeOfDate": "0",
	"type": [
		"House",
		"HousingCooperative",
		"Cottage",
		"Plot",
		"Project",
		"Farm",
		"CommercialProperty",
		"Condominium"
	],
	"statuses": [
		{
			"id": "3",
			"name": "till salu"
		},
		{
			"id": "10",
			"name": "Sald"
		},
		{
			"id": "2",
			"name": "intaget"
		}
	],
}';
//setting request parameters in json format.

curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		'Content-Type: application/json',
		'Content-Length: ' . strlen($data)
));
curl_setopt($ch, CURLOPT_VERBOSE, true);
$result = curl_exec($ch);

if (curl_errno($ch)) {
		die(curl_getinfo($ch));
}
$info = curl_getinfo($ch);
curl_close($ch);
$http_code = $info["http_code"];
if ($http_code == 401) {
		// Användarnamnet eller lösenordet är felaktigt
}
if ($http_code == 403) {
		// Begärt data som det saknas åtkomst till
}
if ($http_code == 500) {
		// Oväntat fel, kontakta Vitec
}
if ($http_code == 400) {
		$json = json_decode($result, true);
		// Hantera valideringsfel, presenteras i $json
}

$result = json_decode($result);
$first = $result[0];


//house
$houses = $first->houses;
if(!empty($houses))
{
		VitecHousesInsertion($houses);
}
//house
//cottages
$cottages = $first->cottages;
if(!empty($cottages))
{
		VitecCottagesInsertion($cottages);
}
//cottages

//housingCooperativeses
$housingCooperativeses = $first->housingCooperativeses;
if(!empty($housingCooperativeses))
{
		VitechousingCooperativesesInsertion($housingCooperativeses);
}
//housingCooperativeses

//plots
$plots = $first->plots;
if(!empty($plots))
{
		VitecPlotsInsertion($plots);
}
//plots

//projects
$projects = $first->projects;
if(!empty($projects))
{
		VitecProjectsInsertion($projects);
}
//projects

//farms
$farms = $first->farms;
if(!empty($farms))
{
		VitecFarmsInsertion($farms);
}
//farms

//commercialPropertys
$commercialPropertys = $first->commercialPropertys;
if(!empty($commercialPropertys))
{
		VitecCommercialPropertysInsertion($commercialPropertys);
}
//commercialPropertys

//condominiums
$condominiums = $first->condominiums;
if(!empty($condominiums))
{
		VitecCondominiumsInsertion($condominiums);
}
//condominiums

//foreignProperties
/*$foreignProperties = $first->foreignProperties;
if(!empty($foreignProperties))
{
		VitecForeignPropertiesInsertion($foreignProperties);
}*/
//foreignProperties
global $wpdb;
$rkinfos = $wpdb->get_results("SELECT * FROM {$wpdb->postmeta} WHERE meta_key = 'deal_link_id'");
foreach ($rkinfos as $k => $v) {
		$post_id = $v->post_id;
		$deal_link_id = $v->meta_value;
		$rkobjtype = get_post_meta( $post_id, 'rkobjtype', true );
		if(!empty($deal_link_id)) {
				$all_estate_infos = VitecApiCallForSingleEstate($rkobjtype, $deal_link_id);
				$snglfr_all_estate_infos = json_decode($all_estate_infos);
				if(!$snglfr_all_estate_infos->advertiseOn->homepage) {
						 $upload_dir   = wp_upload_dir();
						 $basedir = $upload_dir['basedir'];
						 $img1 = get_post_meta($post_id, 'postimage', false);
						if(!empty($img1)){
								foreach ($img1 as $key => $value) {
										$image = $value[1];
										$file = explode('uploads', $image);
										$ff = $basedir.$file[1];
										unlink($ff);
								}
						}
						$postdoc = get_post_meta($post_id, 'postdoc', false);
						if(!empty($postdoc)) {
								foreach($postdoc as $documentinfo)
								{
										$doc = $documentinfo[1];
										$file = explode('uploads', $doc);
										$ff = $basedir.$file[1];
										unlink($ff);
								}
						}
						$broker_image1 = get_post_meta($post_id, 'postauthor', true);
						$file = explode('uploads', $broker_image1);
						$ff = $basedir.$file[1];
						unlink($ff);
						global $wpdb;
						$tbl = $wpdb->prefix.'posts';
						$tbl1 = $wpdb->prefix.'postmeta';
						$sql = "DELETE FROM `$tbl` WHERE `ID` = '".$post_id."'";
						$wpdb->query($sql);
						$sql1 = "DELETE FROM `$tbl1` WHERE `post_id` = '".$post_id."'";
						$wpdb->query($sql1);    
				}
		}
}
}


add_filter('use_block_editor_for_post','__return_false');


add_filter( 'body_class', 'page_class' );
function page_class( $classes ) {
	if ( is_singular( 'page' ) ) {
		global $post;
		$classes[] = 'page-' . $post->post_name;
	}
	return $classes;
}




add_filter( 'style_loader_src',  'sdt_remove_ver_css_js', 9999, 2 );
add_filter( 'script_loader_src', 'sdt_remove_ver_css_js', 9999, 2 );
function sdt_remove_ver_css_js( $src, $handle ) 
{
		$rand_no = rand(10, 1000);
		$handles_with_version = [ 'style' ]; // <-- Adjust to your needs!
		if ( strpos( $src, 'ver=' ) && ! in_array( $handle, $handles_with_version, true ) )
				$src = str_replace( '5.8.2', '5.8.'.$rand_no, $src );
				$src = str_replace( '5.2.2', '5.2.'.$rand_no, $src );
				$src = str_replace( '4.3.1', '5.2.'.$rand_no, $src );
				$src = str_replace( '4.5.6', '5.2.'.$rand_no, $src );
				$src = str_replace( '4.6.3', '5.2.'.$rand_no, $src );
		return $src;
}


function add_file_types_to_uploads($file_types){

		$new_filetypes = array();
		$new_filetypes['svg'] = 'image/svg+xml';
		$file_types = array_merge($file_types, $new_filetypes );

		return $file_types;
}
add_action('upload_mimes', 'add_file_types_to_uploads');

add_filter('avf_profile_head_tag', 'change_avf_profile_head_tag');
function change_avf_profile_head_tag()
{
		return '<link rel="profile" href="https://gmpg.org/xfn/11" />';
}

add_filter( 'wpcf7_posted_data', function( $data ) {
	$address = $data['address'];
	$authoremail = $data['authoremail'];
	$Fornamn = $data['Fornamn'];
	$Efternamn = $data['Efternamn'];
	$Telefon = $data['Telefon'];
	$E_post = $data['E-post'];
	$Meddelande = $data['Meddelande'];
	$email_estateId = $data['email_estateId'];
	$email_estateType = $data['email_estateType'];
	$email_livingSpace = $data['email_livingSpace'];
	$email_numberOfRooms = $data['email_numberOfRooms'];
	$email_price = $data['email_price'];
	$email_longitud = $data['email_longitud'];
	$email_latitud = $data['email_latitud'];


	$userid = get_option('vtec_userid');
	$password = get_option('vtec_password');
	$customerId = get_option('vtec_custmorid');

	if($Fornamn != '' && $E_post != '' && $data['_wpcf7'] == '196')
	{
		$curl_arr = '{
			 "updatePerson":{  
					"firstName":"'.$Fornamn.'",
					"lastName":"'.$Efternamn.'",
					"socialSecurityNumber":null,
					"telePhone":null,
					"workPhone":null,
					"cellPhone":"'.$Telefon.'",
					"approval":null,
					"approvalDate":null,
					"gDPRApprovalDate":null,
					"obtainThrough":0,
					"contactId":null,
					"customerId":"'.$customerId.'",
					"categoryIds":[  

					],
					"address":{  
						 "streetAddress":"'.$address.'",
						 "zipCode":null,
						 "city":null,
						 "countryCode":null
					},
					"email":{  
						 "emailAddress":"'.$E_post.'",
						 "emailAddress2":null
					},
					"userId":null,
					"otherPhone":null,
					"wishAdvertising":null,
					"note":null,
					"coordinate":{  
						 "longitud":0,
						 "latitud":0
					},
					"task":{  
						 "predefinedTaskId":"PRCCUSTINTRESSEANMALAN",
						 "note":null,
						 "estateId":"'.$email_estateId.'",
						 "assignedTo":null
					},
					"customField":{  
						 "name":null,
						 "value":null
					}
			 },
			 "estateId":"'.$email_estateId.'",
			 "presentAccommodation":{  
					"estateType":'.$email_estateType.',
					"livingSpace":"'.$email_livingSpace.'",
					"numberOfRooms":"'.$email_numberOfRooms.'",
					"price":"'.$email_price.'",
					"other":null,
					"coordinate":{  
						 "longitud":"'.$email_longitud.'",
						 "latitud":"'.$email_latitud.'"
					}
			 },
			 "interestNote":"'.$Meddelande.'",
			 "notifyUser":false
			}';

			$URL = "https://connect.maklare.vitec.net/Interest/SendInterestAndContactOnEstate";

			$ch = curl_init();

			curl_setopt($ch, CURLOPT_USERNAME, $userid);
			curl_setopt($ch, CURLOPT_PASSWORD, $password);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($ch, CURLOPT_URL, $URL);
			$data1 = $curl_arr;
			curl_setopt($ch, CURLOPT_POST, true);

			curl_setopt($ch, CURLOPT_POSTFIELDS, $data1);
			curl_setopt($ch, CURLOPT_HTTPHEADER, array(
					'Content-Type: application/json',
					'Content-Length: ' . strlen($data1)
			));

			$result = curl_exec($ch);

			if (curl_errno($ch)) {
					die(curl_getinfo($ch));
			}

			$info = curl_getinfo($ch);
			curl_close($ch);

			$http_code = $info["http_code"];
			if ($http_code == 401) {
					// Användarnamnet eller lösenordet är felaktigt
			}
			if ($http_code == 403) {
					// Begärt data som det saknas åtkomst till
			}
			if ($http_code == 500) {
					// Oväntat fel, kontakta Vitec
			}
			if ($http_code == 400) {
					$json = json_decode($result, true);
					// Hantera valideringsfel, presenteras i $json
			}
	}
	return $data;
} );


function mu_hide_plugins_network( $plugins ) {
		// let's hide akismet
		if( in_array( 'Vitec-API-Integration/vitec.php', array_keys( $plugins ) ) ) {
				//unset( $plugins['Vitec-API-Integration/vitec.php'] );
		}
		return $plugins;
}

add_filter( 'all_plugins', 'mu_hide_plugins_network' );

function remove_menus()
{  

	// remove_menu_page( 'vitec_options' );      //Settings  
	// remove_menu_page( 'vitech_integration' );      //Settings  
	// remove_menu_page( 'vitec_imageupload' );      //Settings  
	// remove_menu_page( 'edit.php?post_type=salda' );      //Settings  

}  
add_action( 'admin_menu', 'remove_menus', 999 );  

function kill_theme_wpse_188906($themes) {
	//unset($themes['enfold-child']);
	return $themes;
}
add_filter('wp_prepare_themes_for_js','kill_theme_wpse_188906');

function ra_block_tp_edit( $caps, $cap ) {
		if($cap == 'edit_plugins' )
				$caps[] = 'do_not_allow';
		return $caps;
}
add_filter( 'map_meta_cap', 'ra_block_tp_edit', 10, 3 );


/* Custom Resize Image */
class ResizeImage
{
		private $ext;
		private $image;
		private $newImage;
		private $origWidth;
		private $origHeight;
		private $resizeWidth;
		private $resizeHeight;
		/**
		 * Class constructor requires to send through the image filename
		 *
		 * @param string $filename - Filename of the image you want to resize
		 */
		public function __construct( $filename )
		{
				if(file_exists($filename))
				{
						$this->setImage( $filename );
				} else {
						throw new Exception('Image ' . $filename . ' can not be found, try another image.');
				}
		}
		/**
		 * Set the image variable by using image create
		 *
		 * @param string $filename - The image filename
		 */
		private function setImage( $filename )
		{
				$size = getimagesize($filename);
				$this->ext = $size['mime'];
				switch($this->ext)
				{
						// Image is a JPG
						case 'image/jpg':
						case 'image/jpeg':
								// create a jpeg extension
								$this->image = imagecreatefromjpeg($filename);
								break;
						// Image is a GIF
						case 'image/gif':
								$this->image = @imagecreatefromgif($filename);
								break;
						// Image is a PNG
						case 'image/png':
								$this->image = @imagecreatefrompng($filename);
								break;
						// Mime type not found
						default:
								throw new Exception("File is not an image, please use another file type.", 1);
				}
				$this->origWidth = imagesx($this->image);
				$this->origHeight = imagesy($this->image);
		}
		/**
		 * Save the image as the image type the original image was
		 *
		 * @param  String[type] $savePath     - The path to store the new image
		 * @param  string $imageQuality       - The qulaity level of image to create
		 *
		 * @return Saves the image
		 */
		public function saveImage($savePath, $imageQuality="100", $download = false)
		{
				switch($this->ext)
				{
						case 'image/jpg':
						case 'image/jpeg':
								// Check PHP supports this file type
								if (imagetypes() & IMG_JPG) {
										imagejpeg($this->newImage, $savePath, $imageQuality);
								}
								break;
						case 'image/gif':
								// Check PHP supports this file type
								if (imagetypes() & IMG_GIF) {
										imagegif($this->newImage, $savePath);
								}
								break;
						case 'image/png':
								$invertScaleQuality = 9 - round(($imageQuality/100) * 9);
								// Check PHP supports this file type
								if (imagetypes() & IMG_PNG) {
										imagepng($this->newImage, $savePath, $invertScaleQuality);
								}
								break;
				}
				if($download)
				{
						header('Content-Description: File Transfer');
						header("Content-type: application/octet-stream");
						header("Content-disposition: attachment; filename= ".$savePath."");
						readfile($savePath);
				}
				imagedestroy($this->newImage);
		}
		/**
		 * Resize the image to these set dimensions
		 *
		 * @param  int $width           - Max width of the image
		 * @param  int $height          - Max height of the image
		 * @param  string $resizeOption - Scale option for the image
		 *
		 * @return Save new image
		 */
		public function resizeTo( $width, $height, $resizeOption = 'default' )
		{
				switch(strtolower($resizeOption))
				{
						case 'exact':
								$this->resizeWidth = $width;
								$this->resizeHeight = $height;
						break;
						case 'maxwidth':
								$this->resizeWidth  = $width;
								$this->resizeHeight = $this->resizeHeightByWidth($width);
						break;
						case 'maxheight':
								$this->resizeWidth  = $this->resizeWidthByHeight($height);
								$this->resizeHeight = $height;
						break;
						default:
								if($this->origWidth > $width || $this->origHeight > $height)
								{
										if ( $this->origWidth > $this->origHeight ) {
												 $this->resizeHeight = $this->resizeHeightByWidth($width);
												 $this->resizeWidth  = $width;
										} else if( $this->origWidth < $this->origHeight ) {
												$this->resizeWidth  = $this->resizeWidthByHeight($height);
												$this->resizeHeight = $height;
										}
								} else {
										$this->resizeWidth = $width;
										$this->resizeHeight = $height;
								}
						break;
				}
				$this->newImage = imagecreatetruecolor($this->resizeWidth, $this->resizeHeight);
				imagecopyresampled($this->newImage, $this->image, 0, 0, 0, 0, $this->resizeWidth, $this->resizeHeight, $this->origWidth, $this->origHeight);
		}
		/**
		 * Get the resized height from the width keeping the aspect ratio
		 *
		 * @param  int $width - Max image width
		 *
		 * @return Height keeping aspect ratio
		 */
		private function resizeHeightByWidth($width)
		{
				return floor(($this->origHeight/$this->origWidth)*$width);
		}
		/**
		 * Get the resized width from the height keeping the aspect ratio
		 *
		 * @param  int $height - Max image height
		 *
		 * @return Width keeping aspect ratio
		 */
		private function resizeWidthByHeight($height)
		{
				return floor(($this->origWidth/$this->origHeight)*$height);
		}
}

add_action( 'before_delete_post', 'myfunc' );
function myfunc( $postid )
{

	$postimage = get_post_meta($postid, 'postimage');
	$postauthor = get_post_meta($postid, 'postauthor');
	$postdoc = get_post_meta($postid, 'postdoc');

	$deal_link_id = get_post_meta($postid, 'deal_link_id');
	$deal_id = $deal_link_id[0];

	if(!empty($postimage))
	{
			foreach ($postimage as $key => $pi_value) 
			{
					$path = parse_url($pi_value[1], PHP_URL_PATH);
					$file = $_SERVER['DOCUMENT_ROOT'] . $path;
					if(file_exists($file))
					{
						$path = parse_url($pi_value[1], PHP_URL_PATH);
						$file = $_SERVER['DOCUMENT_ROOT'] . $path;
						if(file_exists($file))
						{
								unlink($file);
						}
						if(file_exists(str_replace($deal_id.'.jpg', $deal_id.'-563x360.jpg', $file)))
						{
								unlink(str_replace($deal_id.'.jpg', $deal_id.'-563x360.jpg', $file));
						}
						if(file_exists(str_replace($deal_id.'.jpg', $deal_id.'-1400x1000.jpg', $file)))
						{
								unlink(str_replace($deal_id.'.jpg', $deal_id.'-1400x1000.jpg', $file));
						}
						if(file_exists(str_replace($deal_id.'.jpg', $deal_id.'-600x400.jpg', $file)))
						{
								unlink(str_replace($deal_id.'.jpg', $deal_id.'-600x400.jpg', $file));
						}
						if(file_exists(str_replace($deal_id.'.jpg', $deal_id.'-700x466.jpg', $file)))
						{
								unlink(str_replace($deal_id.'.jpg', $deal_id.'-700x466.jpg', $file));
						}
					}
			}
			delete_post_meta($postid, 'postimage');
	}
	if(!empty($postauthor))
	{
			foreach ($postauthor as $key => $pa_value) 
			{
					$path = parse_url($pa_value, PHP_URL_PATH);
					$file = $_SERVER['DOCUMENT_ROOT'] . $path;
					if(file_exists($file))
					{
							unlink($file);
					}
			}
			delete_post_meta($postid, 'postauthor');
	}
	if(!empty($postdoc))
	{
			foreach ($postdoc as $key => $pd_value) 
			{
					$path = parse_url($pd_value[1], PHP_URL_PATH);
					$file = $_SERVER['DOCUMENT_ROOT'] . $path;
					if(file_exists($file))
					{
							unlink($file);
					}
			}
			delete_post_meta($postid, 'postdoc');
	}
}

add_shortcode( 'homepage_latest_property', 'homepage_latest_property' );
function homepage_latest_property( $atts ) 
{
	ob_start();
	$htmls = '';
		$args = array(
				'post_type' => array('till-salu'),
				'post_status' => 'publish',
				'posts_per_page' => 4, 
				'orderby' => 'ID', 
				'order' => 'DESC',
		);

		$loop = new WP_Query( $args ); 
		if($loop->have_posts())
		{
				while ($loop->have_posts()) 
				{
						$loop->the_post();

						$id = get_the_ID();

						$status = get_post_meta($id, 'status', true);
						$all_estate_infos = get_post_meta($id, 'all_estate_infos', true);
						$snglfr_all_estate_infos = json_decode($all_estate_infos);

			$bidding = get_post_meta($id, 'bidding', true);

						$images_infos = GetVitecInformation('images', $id);
						$images_infos1 = array();
						foreach ($images_infos as $key1 => $value1) {
							$showImageOnInternet = $value1->showImageOnInternet;
							if($showImageOnInternet) {
								$images_infos1[] = $value1->imageId;
							}
						}
						$img1 = get_post_meta($id, 'postimage', false);
						$image = '';
						$ircheck = true;
						if($img1) 
						{
							sortBy('3', $img1);
							foreach ($img1 as $key => $value) 
							{
								if(in_array($value[2], $images_infos1) && $value && $ircheck) 
								{
									$ircheck = false;
									$image = $value[1];
									 $image = aq_resize( $image, 800, 500, true );
									 if($image == '')
									 {
											$comLogoImg = $value[1];
											$comLogoImgParseUrl = parse_url($comLogoImg);
										 $comLogoImgFilename = '';
											$comLogoImgDir = '';
											if($comLogoImg != '')
											{
													$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
													$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
													$path_partsLogo = pathinfo($comLogoImgFilename);
													$comLogoImgExt = $path_partsLogo['extension'];
													$comLogoImgAftFilename = $path_partsLogo['filename'];
													 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
													 {
															$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
															$resize->resizeTo(371, 232, 'maxheight');
															$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
													}
													$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
											}
									 }
								}
						}
					}

					$houseInterior = GetVitecInformation('houseInterior', $id);
					if(empty($houseInterior))
					{
						$houseInterior = GetVitecInformation('interior', $id);
					}
					if(!empty($houseInterior))
					{
						if(isset($houseInterior->numberOfRooms))
						{
							$numberOfRooms = $houseInterior->numberOfRooms;
						}
					}

					$building = $snglfr_all_estate_infos->building;
					$rok = '';
					if(!empty($building))
					{
							$buildingYear = $building->buildingYear;
							if($buildingYear != '' && $buildingYear <= date('Y'))
							{
									$rok = date('Y') - $buildingYear;
							}
					}

					$livingSpace = get_post_meta($id, 'livingSpace', true);
					$baseInformation = GetVitecInformation('baseInformation', $id);
					if(empty($baseInformation))
					{
							$baseInformation = GetVitecInformation('plotBaseInformation', $id);
					}
					if(!empty($baseInformation))
					{
							if(isset($baseInformation->livingSpace))
							{
									$livingSpace = $baseInformation->livingSpace;
							}
					}

					$obj_title = '';
					$streetAddress = get_post_meta($id, 'streetAddress', true);
					$obj_title = trim($streetAddress, " ");

					if(!empty($objectAddress) && $objectAddress->streetAddress != '')
					{
							$obj_title = $objectAddress->streetAddress;
					}

					if(!empty($area)){
							$obj_title .= ', '.trim($area, " ");
					}

					if(!empty($city)){
							$obj_title .= ', '.trim($city, " ");
					}
					if($image == ''){
						$image = esc_url( get_stylesheet_directory_uri() . '/img/placeholder_02.jpg' );
					}

					$showAsComming = $snglfr_all_estate_infos->advertiseOn->showAsComming;
					$objectUrl = get_the_permalink($id);
					if($showAsComming) 
					{
							$objectUrl = 'javascript:void(0)';
					}
					$htmls .= '<div class="property-image-wrap">';
						if($showAsComming) {
								$htmls .= '<div class="planeradevisningar Kommande">Kommande försäljning</div>';
						}
			if($bidding) {
				$htmls .= '<div class="bidding_wrap">Budgivning pågår</div>';
			}
						$viewings = $snglfr_all_estate_infos->viewings;
			$featureThereViewing = '';
			if(!empty($viewings))
			{
				foreach ($viewings as $key => $viewing) 
				{
					if(strtotime(date('Y-m-d h:i:s')) <= strtotime($viewing->startTime))
					{
						$featureThereViewing = 'yes';
					}
				}
			}
						if(!empty($viewings) && $featureThereViewing != '') {
				if($bidding)
				{
					$htmls .= '<div class="planeradevisningar stdd'.$id.' visningar-banner bidding">Se planerade visningar</div>';
				}
				else
				{
					$htmls .= '<div class="planeradevisningar stdd'.$id.' visningar-banner">Se planerade visningar</div>';
				}
						}
						$htmls .= '<div class="loop-image-wrap">';
						$htmls .= '<a href="'.get_the_permalink($id).'">';
							$htmls .= '<div class="single-img-wrap">';
								$htmls .= '<img src="'.$image.'" alt="" />';
							$htmls .= '</div>';
							$htmls .= '<div class="property-content-wrap">';
							$htmls .= '<div class="property-loop-wrap">';
									
										$htmls .= '<div class="hover-data-wrap">';

										$htmls .= '<h6 class="listingtitle clearfix">'.$obj_title.'</h6>';
												$htmls .= '<div class="sngprice">';
													if($numberOfRooms)
													{ 
														$htmls .= $numberOfRooms.' rum <span>|</span>'; 
													}
													if($livingSpace)
													{
														$htmls .= ' '.$livingSpace.' kvm';
													}

												$htmls .= '</div>';
												// $htmls .= '<div class="object-status"><a href="'.$objectUrl.'">'.$status.'<i></i></a></div>';
												$htmls .= '</div>';

												/* $htmls .= '<div class="object-status-btn">';
													$htmls .= '<a href="'.$objectUrl.'">'.$status.'<i></i></a>';
												$htmls .= '</div>'; */
										$htmls .= '</div>';
									$htmls .= '</div>';
								$htmls .= '</a>';
							$htmls .= '</div>';
						$htmls .= '</div>';


				}
		}
	
	 $args = array(
			 'post_type'=>'salda', 
			 'posts_per_page' => 4, 
	 );
	 //$htmls .= '<div class="salda-property-main-wrap">';
	 $posts = get_posts($args);
		if($posts) {
				foreach ($posts as $k => $v) {
						$id = $v->ID;
						$htmls .= '<div class="property-image-wrap salda-property">';
								$htmls .= '<div class="loop-image-wrap ">';
										$images_infos = GetVitecInformation('images', $id);
										$images_infos1 = array();
										foreach ($images_infos as $key1 => $value1) {
												$showImageOnInternet = $value1->showImageOnInternet;
												if($showImageOnInternet) {
														$images_infos1[] = $value1->imageId;
												}
										}
										$img1 = get_post_meta($id, 'postimage', false);
										$image = '';
										$ircheck = true;
										if($img1) {
												sortBy('3', $img1);
												foreach ($img1 as $key => $value) {
														if(in_array($value[2], $images_infos1) && $value && $ircheck) {
																$ircheck = false;
																$image = $value[1];
																 $image = aq_resize( $image, 800, 500, true );
																 if($image == '')
																 {
																		$comLogoImg = $value[1];
																		$comLogoImgParseUrl = parse_url($comLogoImg);
																	 $comLogoImgFilename = '';
																		$comLogoImgDir = '';
																		if($comLogoImg != '')
																		{
																				$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
																				$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
																				$path_partsLogo = pathinfo($comLogoImgFilename);
																				$comLogoImgExt = $path_partsLogo['extension'];
																				$comLogoImgAftFilename = $path_partsLogo['filename'];
																				 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
																				 {
																						$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
																						$resize->resizeTo(371, 232, 'maxheight');
																						$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
																				}
																				$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
																		}
																 }
														}
												}
										}
										if($image == ''){
												$image = esc_url( get_stylesheet_directory_uri() . '/img/placeholder_02.jpg' );
										}
										$htmls .= '<div class="single-img-wrap">';
												$htmls .= '<a href="javascript:void(0)">';
														$htmls .= '<img src="'.$image.'" alt="" />';
												$htmls .= '</a>';
										$htmls .= '</div>'; 
										$htmls .= '<a href="'.get_the_permalink($id).'" class="property-content-main">';
												$htmls .= '<div class="property-content-wrap">';
														$htmls .= '<div class="property-content-wrap_inner">';
																$htmls .= '<div class="data-wrap">';
																		$htmls .= '<p class="sngprice">SÅLD</p>';
																$htmls .= '</div>';
														$htmls .= '</div>';
												$htmls .= '</div>';
										$htmls .= '</a>';
								$htmls .= '</div>';
						$htmls .= '</div>';
				}
		}
		//$htmls .= '</div>';
		return $htmls;
}
//=== NEW listing on home
add_shortcode( 'homepage_latest_property_new', 'homepage_latest_property_new' );
function homepage_latest_property_new( $atts ) 
{
	ob_start();
	$htmls = '';
	$htmls.= "<div class='new_listing'>";
	 $htmls.= "<div class='listingwrap'>";
		$args = array(
				'post_type' => array('till-salu'),
				'post_status' => 'publish',
				'posts_per_page' => 4, 
				'orderby' => 'ID', 
				'order' => 'DESC',
		);

		$loop = new WP_Query( $args ); 
		if($loop->have_posts())
		{
				while ($loop->have_posts()) 
				{
						$loop->the_post();

						$id = get_the_ID();

						$status = get_post_meta($id, 'status', true);
						$all_estate_infos = get_post_meta($id, 'all_estate_infos', true);
						$snglfr_all_estate_infos = json_decode($all_estate_infos);

			$bidding = get_post_meta($id, 'bidding', true);

						$images_infos = GetVitecInformation('images', $id);
						$images_infos1 = array();
						foreach ($images_infos as $key1 => $value1) {
							$showImageOnInternet = $value1->showImageOnInternet;
							if($showImageOnInternet) {
								$images_infos1[] = $value1->imageId;
							}
						}
						$img1 = get_post_meta($id, 'postimage', false);
						$image = '';
						$ircheck = true;
						if($img1) 
						{
							sortBy('3', $img1);
							foreach ($img1 as $key => $value) 
							{
								if(in_array($value[2], $images_infos1) && $value && $ircheck) 
								{
									$ircheck = false;
									$image = $value[1];
									 $image = aq_resize( $image, 800, 500, true );
									 if($image == '')
									 {
											$comLogoImg = $value[1];
											$comLogoImgParseUrl = parse_url($comLogoImg);
										 $comLogoImgFilename = '';
											$comLogoImgDir = '';
											if($comLogoImg != '')
											{
													$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
													$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
													$path_partsLogo = pathinfo($comLogoImgFilename);
													$comLogoImgExt = $path_partsLogo['extension'];
													$comLogoImgAftFilename = $path_partsLogo['filename'];
													 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
													 {
															$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
															$resize->resizeTo(371, 232, 'maxheight');
															$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
													}
													$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
											}
									 }
								}
						}
					}

					$houseInterior = GetVitecInformation('houseInterior', $id);
					$numberOfRooms = '';
					if(empty($houseInterior))
					{
						$houseInterior = GetVitecInformation('interior', $id);
					}
					if(!empty($houseInterior))
					{
						if(isset($houseInterior->numberOfRooms))
						{
							$numberOfRooms = $houseInterior->numberOfRooms;
						}
					}

					$building = $snglfr_all_estate_infos->building;
					$rok = '';
					if(!empty($building))
					{
							$buildingYear = $building->buildingYear;
							if($buildingYear != '' && $buildingYear <= date('Y'))
							{
									$rok = date('Y') - $buildingYear;
							}
					}

					$livingSpace = get_post_meta($id, 'livingSpace', true);
					$baseInformation = GetVitecInformation('baseInformation', $id);
					if(empty($baseInformation))
					{
							$baseInformation = GetVitecInformation('plotBaseInformation', $id);
					}
					if(!empty($baseInformation))
					{
							if(isset($baseInformation->livingSpace))
							{
									$livingSpace = $baseInformation->livingSpace;
							}
					}

					$obj_title = '';
					$streetAddress = get_post_meta($id, 'streetAddress', true);
					$obj_title = trim($streetAddress, " ");

					if(!empty($objectAddress) && $objectAddress->streetAddress != '')
					{
							$obj_title = $objectAddress->streetAddress;
					}

					if(!empty($area)){
							$obj_title .= ', '.trim($area, " ");
					}
					if(!empty($baseInformation))
																										{
																												if(isset($baseInformation->disposalForm))
																												{
																														$disposalForm = $baseInformation->disposalForm;
																												}
																												if(isset($baseInformation->tenure))
																												{
																														$tenure = $baseInformation->tenure;
																												}
																												if(isset($baseInformation->newConstruction))
																												{
																														$newConstruction = $baseInformation->newConstruction;
																												}
																												if(isset($baseInformation->otherSpace))
																												{
																														$otherSpace = $baseInformation->otherSpace;
																												}
																												if(isset($baseInformation->propertyUnitDesignation))
																												{
																														$propertyUnitDesignation = $baseInformation->propertyUnitDesignation;
																												}
																												if(isset($baseInformation->keyNumber))
																												{
																														$keyNumber = $baseInformation->keyNumber;
																												}
																												if(isset($baseInformation->districtCode))
																												{
																														$districtCode = $baseInformation->districtCode;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$districtCode = $objectAddress->districtCode;
																														}
																												}
																												if(isset($baseInformation->localIncomeTax))
																												{
																														$localIncomeTax = $baseInformation->localIncomeTax;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$localIncomeTax = $objectAddress->localIncomeTax;
																														}
																												}
																												if(isset($baseInformation->zipCode))
																												{
																														$zipCode = $baseInformation->zipCode;
																												}
																												if(isset($baseInformation->area))
																												{
																														$area = $baseInformation->area;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$zipCode = $objectAddress->zipCode;
																														}
																												}
																												if(isset($baseInformation->city))
																												{
																														$city = $baseInformation->city;
																														$area = $baseInformation->area;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$city = $objectAddress->city;
																																$area = $objectAddress->area;
																														}
																												}
																												if(isset($baseInformation->countryCode))
																												{
																														$countryCode = $baseInformation->countryCode;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$countryCode = $objectAddress->countryCode;
																														}
																												}
																										}
																										$startingPrice = get_post_meta($id, 'price', true);
					if(!empty($city)){
							$obj_title .= ', '.trim($city, " ");
					}
					if($image == ''){
						$image = esc_url( get_stylesheet_directory_uri() . '/img/placeholder_02.jpg' );
					}

					$showAsComming = $snglfr_all_estate_infos->advertiseOn->showAsComming;
					$objectUrl = get_the_permalink($id);
					if($showAsComming) 
					{
							$objectUrl = 'javascript:void(0)';
					}
					$htmls .= '<div class="wpb_column vc_column_container vc_col-sm-6">';
					$htmls .= '<div class="vc_column-inner ">';
					$status_sale = $snglfr_all_estate_infos->assignment->status->name;
					 $statuscls = '';
					//$htmls .= '<div class="property-image-wrap">';
						if($showAsComming) {
								//$htmls .= '<div class="planeradevisningar Kommande">Kommande försäljning</div>';
								$statuscls = 'status-kommande';
						}
						if($status_sale == 'Till salu' || $status_sale == 'Till salu'){
                                $statuscls = 'status-sale';                                                    
                        }
						if($bidding) {
							//$htmls .= '<div class="bidding_wrap">Budgivning pågår</div>';
							 $statuscls = 'status-budgivning';

						}
			
			$viewings = $snglfr_all_estate_infos->viewings;
			$featureThereViewing = '';
			if(!empty($viewings))
			{
				foreach ($viewings as $key => $viewing) 
				{
					if(strtotime(date('Y-m-d h:i:s')) <= strtotime($viewing->startTime))
					{
						$featureThereViewing = 'yes';
					}
				}
			}
						/*if(!empty($viewings) && $featureThereViewing != '') {
							if($bidding)
							{
								$htmls .= '<div class="planeradevisningar stdd'.$id.' visningar-banner bidding">Se planerade visningar</div>';
							}
							else
							{
								$htmls .= '<div class="planeradevisningar stdd'.$id.' visningar-banner">Se planerade visningar</div>';
							}
						}*/
						 $htmls .= '<div class="img-content-wrapper '.$statuscls.'">';
							$htmls .= '<a href="'.get_the_permalink($id).'">';
							 $htmls .= '<div class="single-img-wrap">';
								$htmls .= '<img src="'.$image.'" alt="" />';
							 $htmls .= '</div>';
							 $htmls .= '<div class="text-content-wrapper">';
								 $htmls .= '<div class="property-content-wrap">';
													$htmls .= '<div class="property-content-wrap_inner">';
															$htmls .= '<div class="left-data">';
																$htmls .= '<span class="area-city-objtype">';
																			if(!empty($area) && !empty($city)){
																					$obj_area = trim($area, " ");
																					$obj_city =  trim($city, " ");
																					$htmls .= $obj_area . ' - ' . $obj_city;
																			}
																			else{
																					if(!empty($area)){
																							$obj_area = trim($area, " ");
																							 $htmls .= $obj_area;
																					}
																					?>
																					<?php
																					if(!empty($city)){
																							$obj_city =  trim($city, " ");
																								$htmls .= $obj_city;
																					}
																			}    
																$htmls .= ' / ' .$propertyType; 
																$htmls .='</span>';
																$htmls .='<span class="street-addr">';
																	$obj_title = '';
																		$streetAddress = get_post_meta($id, 'streetAddress', true);
																		$obj_title = trim($streetAddress, " ");
																		if(!empty($objectAddress) && $objectAddress->streetAddress != '')
																		{
																				$obj_addr = $objectAddress->streetAddress;
																				$htmls .= $obj_addr;
																		}
																$htmls .='</span>';
															$htmls .='</div>';
															$htmls .='<div class="right-data">';
																$htmls .='<p class="sng-rum-kvm">';
																if($numberOfRooms != '' && $livingSpace != '')
																{
																		$htmls .= $numberOfRooms.' rum / '.$livingSpace.' kvm'; 
																}
																else
																{
																		if($numberOfRooms) 
																		{ 
																				$htmls .= $numberOfRooms.' rum'; 
																		} 
																		if($livingSpace) 
																		{ 
																				$htmls .= ' '.$livingSpace.' kvm'; 
																		} 
																}
															
																$htmls .='</p>';
																$htmls .='<p class="sng-price">';
																		$htmls .= ($startingPrice)?number_format($startingPrice, '0', '', ' ').' kr':''; 
																$htmls .='</p>';
															$htmls .='</div>';
													$htmls .= '</div>';
									$htmls .= '</div>';
							 $htmls .= '</div>';   
							$htmls .= '</a>';
						$htmls .= '</div>';
						$htmls .= '</div>';
						$htmls .= '</div>';


				}
		}
	
	 /*$args = array(
			 'post_type'=>'salda', 
			 'posts_per_page' => 0, 
	 );
	 //$htmls .= '<div class="salda-property-main-wrap">';
	 $posts = get_posts($args);
		if($posts) {
				foreach ($posts as $k => $v) {
						$id = $v->ID;
						$rooms = get_post_meta($id, 'rooms', true);
												$livingSpace = get_post_meta($id, 'livingSpace', true);
												$startingPrice = get_post_meta($id, 'price', true);
												$numberOfRooms = '';
												$houseInterior = GetVitecInformation('houseInterior', $id);
												if(empty($houseInterior))
												{
													$houseInterior = GetVitecInformation('interior', $id);
												}
												if(!empty($houseInterior))
												{
													if(isset($houseInterior->numberOfRooms))
													{
														$numberOfRooms = $houseInterior->numberOfRooms;
													}
												}
														$status = get_post_meta($id, 'status', true);
												$bidding = get_post_meta($id, 'bidding', true);
												$all_estate_infos = get_post_meta($id, 'all_estate_infos', true);
												$snglfr_all_estate_infos = json_decode($all_estate_infos);          
												 $baseInformation = GetVitecInformation('baseInformation', $id);
																										if(empty($baseInformation))
																										{
																												$baseInformation = GetVitecInformation('plotBaseInformation', $id);
																										}

																										$livingSpace = '';
																										$monthlyFee = '';
																										$areaSource = '';
																										$propertyType = '';
																										$objectAddress = '';
																										$countyMunicipalityParishCode = '';
																										$base_commentary = '';
																										$includedInFee = '';
																										$apartmentNumber = '';
																										if(!empty($baseInformation))
																										{   
																// echo "<pre>";
																// print_r($baseInformation);
																// echo "</pre>";
																												if(isset($baseInformation->livingSpace))
																												{
																														$livingSpace = $baseInformation->livingSpace;
																												}
																												if(isset($baseInformation->monthlyFee))
																												{
																														$monthlyFee = $baseInformation->monthlyFee;
																												}
																												if(isset($baseInformation->apartmentNumber))
																												{
																														$apartmentNumber = $baseInformation->apartmentNumber;
																												}
																												if(isset($baseInformation->includedInFee))
																												{
																														$includedInFee = $baseInformation->includedInFee;
																												}
																												if(isset($baseInformation->areaSource))
																												{
																														$areaSource = $baseInformation->areaSource;
																												}
																												if(isset($baseInformation->propertyType))
																												{
																														$propertyType = $baseInformation->propertyType;
																												}
																												if(isset($baseInformation->commentary))
																												{
																														$base_commentary = $baseInformation->commentary;
																												}
																												if(!empty($objectAddress))
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;    
																														}
																														if(!empty($objectAddress))
																														{
																																if(isset($objectAddress->countyMunicipalityParishCode))
																																{
																																		$countyMunicipalityParishCode = $objectAddress->countyMunicipalityParishCode;    
																																}
																														}
																												}
																										}
																										if(!empty($baseInformation))
																										{
																												if(isset($baseInformation->disposalForm))
																												{
																														$disposalForm = $baseInformation->disposalForm;
																												}
																												if(isset($baseInformation->tenure))
																												{
																														$tenure = $baseInformation->tenure;
																												}
																												if(isset($baseInformation->newConstruction))
																												{
																														$newConstruction = $baseInformation->newConstruction;
																												}
																												if(isset($baseInformation->otherSpace))
																												{
																														$otherSpace = $baseInformation->otherSpace;
																												}
																												if(isset($baseInformation->propertyUnitDesignation))
																												{
																														$propertyUnitDesignation = $baseInformation->propertyUnitDesignation;
																												}
																												if(isset($baseInformation->keyNumber))
																												{
																														$keyNumber = $baseInformation->keyNumber;
																												}
																												if(isset($baseInformation->districtCode))
																												{
																														$districtCode = $baseInformation->districtCode;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$districtCode = $objectAddress->districtCode;
																														}
																												}
																												if(isset($baseInformation->localIncomeTax))
																												{
																														$localIncomeTax = $baseInformation->localIncomeTax;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$localIncomeTax = $objectAddress->localIncomeTax;
																														}
																												}
																												if(isset($baseInformation->zipCode))
																												{
																														$zipCode = $baseInformation->zipCode;
																												}
																												if(isset($baseInformation->area))
																												{
																														$area = $baseInformation->area;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$zipCode = $objectAddress->zipCode;
																														}
																												}
																												if(isset($baseInformation->city))
																												{
																														$city = $baseInformation->city;
																														$area = $baseInformation->area;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$city = $objectAddress->city;
																																$area = $objectAddress->area;
																														}
																												}
																												if(isset($baseInformation->countryCode))
																												{
																														$countryCode = $baseInformation->countryCode;
																												}
																												else
																												{
																														if(isset($baseInformation->objectAddress))
																														{
																																$objectAddress = $baseInformation->objectAddress;
																																$countryCode = $objectAddress->countryCode;
																														}
																												}
																										}
					$htmls .= '<div class="wpb_column vc_column_container vc_col-sm-6 salda-property">';
					$htmls .= '<div class="vc_column-inner ">';
					
						/*$htmls .= '<div class="property-image-wrap salda-property">';
								$htmls .= '<div class="loop-image-wrap ">';*//*
										$images_infos = GetVitecInformation('images', $id);
										 $startingPrice = get_post_meta($id, 'price', true);
										$images_infos1 = array();
										foreach ($images_infos as $key1 => $value1) {
												$showImageOnInternet = $value1->showImageOnInternet;
												if($showImageOnInternet) {
														$images_infos1[] = $value1->imageId;
												}
										}
										$img1 = get_post_meta($id, 'postimage', false);
										$image = '';
										$ircheck = true;
										if($img1) {
												sortBy('3', $img1);
												foreach ($img1 as $key => $value) {
														if(in_array($value[2], $images_infos1) && $value && $ircheck) {
																$ircheck = false;
																$image = $value[1];
																 $image = aq_resize( $image, 800, 500, true );
																 if($image == '')
																 {
																		$comLogoImg = $value[1];
																		$comLogoImgParseUrl = parse_url($comLogoImg);
																	 $comLogoImgFilename = '';
																		$comLogoImgDir = '';
																		if($comLogoImg != '')
																		{
																				$comLogoImgFilename = basename($comLogoImgParseUrl['path']);
																				$comLogoImgDir = dirname($comLogoImgParseUrl['path']);
																				$path_partsLogo = pathinfo($comLogoImgFilename);
																				$comLogoImgExt = $path_partsLogo['extension'];
																				$comLogoImgAftFilename = $path_partsLogo['filename'];
																				 if(!file_exists(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt))
																				 {
																						$resize = new ResizeImage(ABSPATH.''.trim($comLogoImgParseUrl['path'], '/'));
																						$resize->resizeTo(371, 232, 'maxheight');
																						$resize->saveImage(ABSPATH.''.$comLogoImgDir.'/'.$comLogoImgAftFilename.'-800x500.'.$comLogoImgExt);
																				}
																				$image = str_replace($comLogoImgAftFilename, $comLogoImgAftFilename.'-800x500', $comLogoImg);
																		}
																 }
														}
												}
										}
										if($image == ''){
												$image = esc_url( get_stylesheet_directory_uri() . '/img/placeholder_02.jpg' );
										}
										 $htmls .= '<div class="img-content-wrapper status-salda">';
											$htmls .= '<a href="'.get_the_permalink($id).'">';
											 $htmls .= '<div class="single-img-wrap">';
												$htmls .= '<img src="'.$image.'" alt="" />';
											 $htmls .= '</div>';
											 $htmls .= '<div class="text-content-wrapper">';
												 $htmls .= '<div class="property-content-wrap">';
																	$htmls .= '<div class="property-content-wrap_inner">';
																			$htmls .= '<div class="left-data">';
																				$htmls .= '<span class="area-city-objtype">';
																							if(!empty($area) && !empty($city)){
																									$obj_area = trim($area, " ");
																									$obj_city =  trim($city, " ");
																									 $htmls .= $obj_area . ' - ' . $obj_city;
																							}
																							else{
																									if(!empty($area)){
																											$obj_area = trim($area, " ");
																											 $htmls .= $obj_area;
																									}
																									?>
																									<?php
																									if(!empty($city)){
																											$obj_city =  trim($city, " ");
																												$htmls .= $obj_city;
																									}
																							}    
																				$htmls .= ' / ' .$propertyType; 
																				$htmls .='</span>';
																				$htmls .='<span class="street-addr">';
																					$obj_title = '';
																						$streetAddress = get_post_meta($id, 'streetAddress', true);
																						$obj_title = trim($streetAddress, " ");
																						if(!empty($objectAddress) && $objectAddress->streetAddress != '')
																						{
																								$obj_addr = $objectAddress->streetAddress;
																								$htmls .= $obj_addr;
																						}
																				$htmls .='</span>';
																			$htmls .='</div>';
																			$htmls .='<div class="right-data">';
																				$htmls .='<p class="sng-rum-kvm">';
																				if($numberOfRooms != '' && $livingSpace != '')
																				{
																						$htmls .= $numberOfRooms.' rum / '.$livingSpace.' kvm'; 
																				}
																				else
																				{
																						if($numberOfRooms) 
																						{ 
																								$htmls .= $numberOfRooms.' rum'; 
																						} 
																						if($livingSpace) 
																						{ 
																								$htmls .= ' '.$livingSpace.' kvm'; 
																						} 
																				}
																			
																				$htmls .='</p>';
																				$htmls .='<p class="sng-price" style="display:none;">';
																						$htmls .= ($startingPrice)?number_format($startingPrice, '0', '', ' ').' kr':''; 
																				$htmls .='</p>';
																			$htmls .='</div>';
																	$htmls .= '</div>';
													$htmls .= '</div>';
											 $htmls .= '</div>';   
											$htmls .= '</a>';
										$htmls .= '</div>';
										$htmls .= '</div>';
										$htmls .= '</div>';
				}
		}*/
		$htmls .= '</div>';
		$htmls .= '</div>';
		return $htmls;
}


add_action( 'template_redirect', 'wpse_128636_redirect_post' );

function wpse_128636_redirect_post() {
	if ( is_singular( 'salda' ) ) {
		$status = get_post_meta(get_the_Id(), 'status', true);
		if($status != "Såld/Referensobjekt"){
			wp_redirect( home_url(), 301 );
			exit;     
		}
		// echo "<pre>";
		// print_r(get_the_Id());
		// echo "</pre>";
		
	}
}
function wpse101952_redirect() {

	global $wpdb;    
	$al = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	$ua = explode('/', $al); 
	$ac = count($ua)-1;
	$lu = $ua[$ac];
	if (strstr($lu, "?")) {
		$lu = strstr($lu, "?", true);
	}
	$op = $wpdb->get_results("select post_id from wp_postmeta where meta_key = 'deal_link_id' and meta_value ='$lu'");

	if($op) { 
		foreach ($op as $opval) {
						//print_r($opval);
			$permalink_p = get_the_permalink($opval->post_id);
			if($permalink_p!=''){
				$permalink_pget =  $permalink_p;
			}
		}
		wp_redirect( $permalink_pget , 301);
		exit();
	}
}
add_action( 'template_redirect', 'wpse101952_redirect' );