<?php

defined('ABSPATH') || exit;

class Dynamicblock_Conditional_Content_Rule_hide_screen extends Dynamicblock_Conditional_Content_Rule_Base {

    public function __construct() {
        parent::__construct( 'hide_screen' );
    }

    public function get_possible_rule_operators() {
        $operators = array(
            'in' => __( "is", DYNAMICBLOCK_TEXT ),
        );
        return $operators;
    }

    public function get_condition_input_type() {
        return 'select';
    }
    public function get_possible_rule_values() {
        $options = array(
            'desktop'   => __("Desktop", DYNAMICBLOCK_TEXT),
            'tablet'    => __("Tablet", DYNAMICBLOCK_TEXT),
            'mobile'    => __("Mobile", DYNAMICBLOCK_TEXT),
        );
        
        return $options;
    }
    public function is_match( $rule_data, $arguments = null ) 
    {
        /*echo "<pre>rule_data_screen";
            print_r($rule_data);
        echo "</pre>";*/
        $result = true;
        return $this->return_is_match( $result, $rule_data, $arguments );
    }
} ?>