<?php

class DynamicBlock_Conditional_Content_Input_Number {

    public function __construct() {
        $this->type = 'Number';

        $this->defaults = array(
            'default_value' => '',
            'class' => '',
            'placeholder' => ''
        );
    }

    public function render($field, $value = null) {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        ?>
        <input name="<?php echo esc_attr($field['name']); ?>" type="number" id="<?php echo esc_attr($field['id']); ?>" class="<?php echo esc_attr($field['class']); ?> dynamicblock_input_text" placeholder="Enter Condition" value="<?php echo esc_attr($value); ?>" style="text-align: left;" />
        <?php
    }

}