<?php



class DynamicBlock_Conditional_Content_Input_Product_meta_select

{
    public function __construct()

    {
        $this->type = 'Product_meta_select';
        $this->defaults = array(

            'multiple' => 0,

            'allow_null' => 0,

            'choices' => array(),

            'default_value' => '',

            'class' => ''

        );

    }


    public function render($field, $value = null)
    {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        global $wpdb;
        $result = $wpdb->get_results( "SELECT meta_key  FROM  $wpdb->postmeta group BY meta_key" );

        $_meta_key_array = array();
        foreach ($result as $data){
            $_meta_key_array[$data->meta_key] = $data->meta_key;
        }

        ?>

        <div class="dynamicblock_get_product_ajax" style="width: 100%">
        <select id="<?php echo esc_attr($field['id']); ?>" name="<?php echo esc_attr($field['name']); ?>[meta-key]" value=""
                class="dynamicblock-multi-select2_1 dynamicblock_select_get_product"
                data-action="woocommerce_json_search_products_and_variations"
                data-exclude="<?php echo esc_attr(intval(get_the_ID())); ?>"
                data-placeholder="<?php _e('Search for a product&hellip;', 'woocommerce'); ?>" style="width: 300px">
            <?php
            if ($_meta_key_array) {
                foreach ($_meta_key_array as $key => $title) {
                    $current = ($key == $value['meta-key']) ? 'selected' : '';
                    echo '<option value="' . esc_attr($key ). '" ' . esc_attr($current) . '>' . esc_html($title) . '</option>';
                }
            }
            ?>
        </select>
        </div>
        <input class="dynamicblock_input_text dynamicblock_input_text_product_meta_value" style="margin-right: 6px; text-align: left;"
               placeholder="<?php _e('Meta Value', 'DYNAMICBLOCK_TEXT'); ?>" type="text"
               id="<?php echo esc_attr($field['id']); ?>_meta_value" name="<?php echo esc_attr($field['name']); ?>[meta-value]" value="<?php echo isset($value['meta-value']) ? esc_attr($value['meta-value']) : ''; ?>"/>
        <?php
    }
}
