<?php


class DynamicBlock_Conditional_Content_Input_Store_Order_Count {

    public function __construct() {
        $this->type = 'Store_Order_Count';

        $this->defaults = array(
            'multiple'      => 0,
            'allow_null'    => 0,
            'choices'       => array(),
            'default_value' => '',
            'class'         => '',
            'placeholder'   => ''
        );
    }

    public function render( $field, $value = null ) {
        $field = array_merge( $this->defaults, $field );
        if ( ! isset( $field['id'] ) ) {
            $field['id'] = sanitize_title( $field['id'] );
        }

        $value['status'] = isset( $value['status'] ) ? $value['status'] : '';

        ?>

        <input class="dynamicblock_input_text dynamicblock_input_text_order" type="text" id="<?php echo esc_attr($field['id']); ?>_qty" name="<?php echo esc_attr($field['name']); ?>[qty]" value="<?php echo isset( $value['qty'] ) ? esc_attr($value['qty']) : 1; ?>"/>
        <?php
    }

}
