jQuery(document).ready(function ($) {
    tinymce.init({
        selector: '#dynamicblock_editor_html'
    });
    let data_prod_id = [];
    let data_quantity = [];

    setTimeout(change_format_price, 1000);

    function change_format_price()
    {
        jQuery(document).find('.dynamicblock-accessories-product-cart-form').find('.quantityValue').change();
    }

    function chanageNumberWithCommas(amount)
    {
        let price_comma, price_dot, formated_amount, decimal_amount;
        let currency_seprator = jQuery(document).find('.dynamicblock-accessories-main-product').data('currency_seprator');
        let decimal_seprator = jQuery(document).find('.dynamicblock-accessories-main-product').data('decimal_seprator');
        let number_of_decimal_display = jQuery(document).find('.dynamicblock-accessories-main-product').data('number_of_decimal');

        decimal_amount = parseFloat(parseFloat(amount).toFixed(number_of_decimal_display)).toLocaleString(undefined, {
            minimumFractionDigits: number_of_decimal_display,
            maximumFractionDigits: number_of_decimal_display
        });
        //console.log(decimal_amount);
        let fixed_num_amount = decimal_amount;
        price_dot = fixed_num_amount.replaceAll(".", "#");
        price_comma = price_dot.replaceAll(",", currency_seprator);
        formated_amount = price_comma.replaceAll("#", decimal_seprator);
        //console.log(colan);
        return formated_amount;
    }

    function set_currency_position(currency, currency_position, amount)
    {
        let set_amount = 0;
        if (currency_position === 'left_space') {
            set_amount = currency + " " + amount.toLocaleString()
            return set_amount;
        } else if (currency_position === 'left') {
            set_amount = currency + "" + amount.toLocaleString()
            return set_amount;
        } else if (currency_position === 'right') {
            set_amount = amount.toLocaleString() + "" + currency;
            return set_amount;
        } else if (currency_position === 'right_space') {
            set_amount = amount.toLocaleString() + " " + currency;
            return set_amount;
        }
    }

    jQuery(document).find('.dynamicblock_onchange_to_cart').change(function () {
        jQuery(this).parents('.dynamicblock-accessories-product-cart-form').find('.single_add_to_cart_button').click();
    });

    jQuery(document).on('change input', '.quantityValue', function () {
        let currency = jQuery(document).find("#currency").val();
        let currency_position = jQuery(document).find('.dynamicblock-accessories-main-product').data('currency_position');
        data_prod_id = [];
        data_quantity = [];
        let totalAccessories = 0;
        let quantity = 0;
        let blockid = getSecondPart(this.name);
        let m = 0;
        jQuery(".quantityValue").each(function (n) {
            if (jQuery(this).hasClass(blockid)) {
                m++;
                let current_val = parseFloat(this.value);
                if (isNaN(current_val)) {
                    current_val = 1;
                    jQuery(this).val(1);
                    jQuery(this).text(1);
                }
                let price = jQuery("#price" + blockid + "-" + (m)).val();
                price = parseFloat(price);

                current_val = parseFloat(current_val);
                //console.log(current_val + "*" + price);
                let sumAccess = current_val * price;

                totalAccessories += sumAccess;
                quantity += this.value == "" ? 0 : parseFloat(this.value);
                data_prod_id.push(jQuery("#price" + blockid + "-" + (m)).attr("data-product-id" + blockid));
                data_quantity.push(this.value);
            }
        });
        $("#main_qauntity" + blockid).val(jQuery("input[name='quantity']").val());
        let prod_ids = data_prod_id.toString();
        let qty = data_quantity.toString();
        //   console.log(totalAccessories)
        let totalAccessories_text = totalAccessories;

        totalAccessories_text = chanageNumberWithCommas(totalAccessories_text);
        /*(totalAccessories_text).toLocaleString() + " " + currency*/
        jQuery("#accessories" + blockid).text(set_currency_position(currency, currency_position, totalAccessories_text));
        let main_price = jQuery("#main_product" + blockid).attr('data-bundle-value');
        let beforemain_price = jQuery("#main_product" + blockid).text();
        main_price = main_price.replace(/,/g, "");
        /* main_price = parseFloat(main_price.slice(0, -1));*/
        let isAllowMainproduct = jQuery("#main_product" + blockid).attr('data-apply-discount-to-main-product');

        let main_price_before = main_price;

        isAllowMainproduct == "" ? main_price = 0 : '';
        isAllowMainproduct != "" ? main_price_before = 0 : '';
        let totalproduct = parseFloat(main_price) + parseFloat(totalAccessories);
        let discount;
        let check_type = $("#discount" + blockid).attr("data-type");
        if (check_type == "percentage") {
            // discount = parseInt(discount.slice(0, -1));

            discount = $("#discount" + blockid).attr("data-value");
            let discountAmount = totalproduct * discount / 100;

            let save_discountAmount = quantity >= 0 ? totalproduct * discount / 100 : 0;
            let total_amount = 0;
            quantity >= 0 ? total_amount = (totalproduct - discountAmount) > 0 ? (totalproduct - discountAmount) : 0 : total_amount = totalproduct;

            let displayMainpriceAndTotalAmountPsercentage;

            displayMainpriceAndTotalAmountPsercentage = chanageNumberWithCommas(parseFloat(main_price_before) + parseFloat(total_amount));
            jQuery("#total_amount" + blockid).text(set_currency_position(currency, currency_position, displayMainpriceAndTotalAmountPsercentage))

            let save_amount = chanageNumberWithCommas(save_discountAmount);
            save_amount != '' ? jQuery("#save_amount" + blockid).text("Save " + set_currency_position(currency, currency_position, save_amount)) : jQuery("#save_amount" + blockid).text("Save " + set_currency_position(currency, currency_position, 0));
            jQuery("#quantity" + blockid).text(quantity);
        } else {

            discount = $("#discount" + blockid).attr("data-value");
            if (!discount) {
                discount = 0;
            }
            let discountAmount = quantity >= 0 ? discount : 0;
            let total_amount = 0;
            quantity >= 0 ? total_amount = (totalproduct - discountAmount) > 0 ? (totalproduct - discountAmount) : 0 : total_amount = totalproduct;
            let displayMainpriceAndTotalAmount;

            displayMainpriceAndTotalAmount = chanageNumberWithCommas(parseFloat(main_price_before) + parseFloat(total_amount));
            jQuery("#total_amount" + blockid).text(set_currency_position(currency, currency_position, displayMainpriceAndTotalAmount));
            //let save_amount = parseFloat(discountAmount).toLocaleString();
            let save_amount = chanageNumberWithCommas(discountAmount);
            if (discount) {
                save_amount != '' ? jQuery("#save_amount" + blockid).text("Save " + set_currency_position(currency, currency_position, save_amount)) : jQuery("#save_amount" + blockid).text("Save " + set_currency_position(currency, currency_position, 0));
            }
            jQuery("#quantity" + blockid).text(quantity);
        }
        jQuery(".add_product_id").attr("prodIds", prod_ids);
        jQuery(".add_product_id").attr("prodQuantity", qty);
        jQuery("#add_product_id" + blockid).val(prod_ids);
        jQuery("#add_product_qty" + blockid).val(qty);
    });

    jQuery(".add_product_id").click(function () {
        $("#main_qauntity" + blockid).val(jQuery("input[name='quantity']").val());
    })

    jQuery(".addToCart").click(function () {
        let currency = jQuery(document).find("#currency").val();
        let currency_position = jQuery(document).find('.dynamicblock-accessories-main-product').data('currency_position');
        let blockid = $(this).attr('data-blockid');

        let accessories = jQuery("#hid_accessories_acc" + blockid).text();
        accessories = (accessories) == '' ? 0 : parseFloat(accessories);

        let price = jQuery(this).attr("data-value").trim();

        let id = this.value;
        let previousQuantity = jQuery("#prev_quantity" + blockid + "_" + id).val();
        let previoustotal = previousQuantity != '' ? previousQuantity * price : '';
        let total = jQuery(".getquantity" + blockid + "_" + id).val() * price;
        total = total - previoustotal;

        jQuery("#prev_quantity" + blockid + "_" + id).val(jQuery(".getquantity" + blockid + "_" + id).val())

        if (jQuery(".getquantity" + blockid + "_" + id).val() > 0) {
            jQuery(".getquantity" + blockid + "_" + id).attr("qtyadded" + blockid, "true");
            jQuery(this).attr("pidadded" + blockid, "true");
        }
        accessories = accessories + total;

        let quantity = 0;
        jQuery(".quantityValue_acc").each(function (m) {
            if (jQuery(this).attr("qtyadded" + blockid) == "true") {
                quantity += parseInt(jQuery(this).val());
            }
        });

        jQuery("#quantity_acc" + blockid).text(quantity);
        if (quantity > 0) {
            jQuery(".add_acc_product_id").prop("disabled", false);
        } else {
            jQuery(".add_acc_product_id").prop("disabled", true);
        }
        $("#main_qauntity_acc" + blockid).val(jQuery("input[name='quantity']").val());
        let prod_ids = data_prod_id.toString();
        let totalAccessories = accessories;
        //let totalAccessories_text = (totalAccessories).toLocaleString();
        let totalAccessories_text = chanageNumberWithCommas(totalAccessories);
        //jQuery("#accessories_acc" + blockid).text((float_save_amount.toLocaleString()));

        jQuery("#accessories_acc" + blockid).text(set_currency_position(currency, currency_position, totalAccessories_text));
        jQuery("#hid_accessories_acc" + blockid).text(totalAccessories);

        let main_price = jQuery("#main_product_acc").text();
        if (main_price != "") {
            main_price = main_price.replace(/,/g, "");
            main_price = (main_price.slice(0, -1));
        } else {
            main_price = 0;
        }
        let isAllowMainproduct = jQuery("#main_product_acc").attr('data-apply-discount-to-main-product');
        let main_price_before = main_price;
        isAllowMainproduct === "" ? main_price = 0 : '';
        let totalproduct = main_price + (totalAccessories)
        let float_save_amount = 0;
        let discount;
        let check_type = $("#discount_acc" + blockid).attr('data-type_acc');
        if (check_type === "percentage") {
            discount = $("#discount_acc" + blockid).attr("data-value_acc");
            let discountAmount = quantity >= 0 ? (totalproduct * discount) / 100 : 0;
            let total_amount = totalAccessories;
            quantity >= 0 ? total_amount = (totalproduct - discountAmount) : total_amount = totalproduct;
            total_amount = chanageNumberWithCommas(total_amount);
            jQuery("#total_amount_acc" + blockid).text(set_currency_position(currency, currency_position, total_amount))
            let save_amount = discountAmount;
            float_save_amount = chanageNumberWithCommas(save_amount);
            save_amount != '' ? jQuery("#save_amount_acc" + blockid).text("Save " + set_currency_position(currency, currency_position, float_save_amount)) : jQuery("#save_amount_acc" + blockid).text("Save " + set_currency_position(currency, currency_position, 0));
        } else {
            discount = $("#discount_acc" + blockid).attr("data-value_acc");
            if (!discount) {
                discount = 0;
            }
            let discountAmount = quantity >= 0 ? discount : 0;
            let total_amount = totalAccessories;
            quantity >= 0 ? total_amount = (totalproduct - discountAmount) > 0 ? totalproduct - discountAmount : 0 : total_amount = totalproduct;
            total_amount = chanageNumberWithCommas(total_amount);
            jQuery("#total_amount_acc" + blockid).text(set_currency_position(currency, currency_position, total_amount))
            let save_amount = discountAmount;
            float_save_amount = chanageNumberWithCommas(discountAmount);
            if (discount) {
                save_amount != '' ? jQuery("#save_amount_acc" + blockid).text("Save " + set_currency_position(currency, currency_position, float_save_amount)) : jQuery("#save_amount_acc" + blockid).text("Save " + set_currency_position(currency, currency_position, 0));
            }
        }

    });
    jQuery(".add_acc_product_id").click(function (e) {
        let blockid = $(this).attr('data-block');

        let product_ids = '';
        let product_qty = '';

        jQuery(".addToCart").each(function (m) {
            if (jQuery(this).attr("pidadded" + blockid) == "true") {
                // console.log(jQuery(this).val());
                product_ids += "," + jQuery(this).val();
            }
        });

        // console.log(product_ids);
        jQuery(".quantityValue_acc").each(function (m) {

            if (jQuery(this).attr("qtyadded" + blockid) == "true") {
                product_qty += "," + jQuery(this).val();
            }
        });

        $("#main_qauntity_acc" + product_ids).val(jQuery("input[name='quantity']").val());
        jQuery('#add_product_id_acc' + blockid).val(product_ids.substring(1));
        jQuery('#add_product_qty_acc' + blockid).val(product_qty.substring(1));

    });

    function getSecondPart(str)
    {
        return str.split('-')[1];
    }

    load_carousel_block();

    jQuery(document).on('click', '.dynamicblock-accessories-product-cart-form .plus', function () {
        var currentli = jQuery(this).parent('.quantity');
        var qty = currentli.find('input[type="number"]');

        let max = qty.attr("max");
        max = max == "" ? 1000 : max;

        var total = parseFloat(qty.val()) + 1;
        if (total <= max) {
            qty.val(total);
        }

        if (qty.hasClass("dynamicblock_onchange_to_cart")) {
            $(".dynamicblock_onchange_to_cart").trigger("change");
        }

        console.log(qty.attr("min"));
        if (qty.hasClass("bundle-pack")) {
            $(".quantityValue").trigger("change");
        }

    });

    jQuery(document).on('click', '.dynamicblock-accessories-product-cart-form .minus', function () {
        var currentli = jQuery(this).parent('.quantity');
        var qty = currentli.find('input[type="number"]');
        var total = parseFloat(qty.val()) - 1;
        let min = qty.attr("min");
        if (total >= 0) {
            if (qty.hasClass("dynamicblock_onchange_to_cart")) {
                qty.val(total);
                $(".dynamicblock_onchange_to_cart").trigger("change");
            }
        }

        if (total >= min) {
            qty.val(total);
            if (qty.hasClass("bundle-pack")) {
                $(".quantityValue").trigger("change");
            }
        }

    });
});

function load_carousel_block()
{
    jQuery('.dynamicblock-loop-carousel-related').each(function () {
        var elm = jQuery(this);
        var auto_play = elm.attr('carousel-play');
        var autoplay = false;
        var loop = false;
        if (auto_play === 'enable_autoplay') {
            autoplay = true;
            loop = true;
        }
        elm.owlCarousel({
            loop: loop,
            margin: 10,
            responsiveClass: true,
            autoplay: autoplay,
            autoplayTimeout: 2000,
            dots: true,
            responsive: {
                0: {
                    items: 1,
                    nav: true
                },
                600: {
                    items: 2,
                    nav: true
                },
                992: {
                    items: 3,
                    nav: true
                },
                1025: {
                    items: 4,
                    nav: true,
                }
            }
        })
    });
    jQuery('.dynamicblock-loop-carousel').each(function () {
        var elm = jQuery(this);
        var auto_play = elm.attr('carousel-play');
        var autoplay = false;
        var loop = false;
        if (auto_play === 'enable_autoplay') {
            autoplay = true;
            loop = true;
        }
        elm.owlCarousel({
            margin: 40,
            responsiveClass: true,
            autoplay: autoplay,
            loop: loop,
            autoplayTimeout: 2000,
            dots: true,
            responsive: {
                0: {
                    items: 1,
                    nav: true
                },
                769: {
                    items: 2,
                    nav: true
                },
                1025: {
                    items: 3,
                    nav: true
                },
                1350: {
                    items: 4,
                    nav: true,
                }
            }
        })
    });
}

(function () {
    window.addEventListener('load', () => {
        let inputsQty = document.querySelectorAll('form.dynamicblock-accessories-product-cart-form input.quantityValue_acc');
        let inputsQtyHidden = document.querySelectorAll('form.dynamicblock-accessories-product-cart-form input[id*="prev_quantity"]');
        let button = document.querySelector('.dynamicblock-accessories-main-product form .single_add_to_cart_button');
        if (inputsQty) {
            button.setAttribute('disabled', 'disabled');
            inputsQty.forEach((input) => {
                input.setAttribute('value', '0')
                input.value = '0';
            })
            inputsQtyHidden.forEach((input) => {
                input.setAttribute('value', '0')
                input.value = '0';
            })
        }
    })
}())