<div class="dynamicblock-add-nav-wrapper">
    <form id="form_dynamicblock_block_type" method="GET" action="<?php echo admin_url('post-new.php'); ?>">
        <div class="dynamicblock-add-nav-inner">
            <div class="block-type-nav-box-wrapper">
                <ul class="block-type-nav-box">
                    <li class="block-type-nav-item">
                        <span class="display-free">FREE</span>
                        <label for="grid-html">
                            <div class="dynamicblock-add-nav-item-image">
                                <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/html_block_ico.svg"
                                     alt="" title="">
                            </div>
                            <h6 class="block_type_nav_radio_title"><?php _e('Html', DYNAMICBLOCK_TEXT); ?></h6>
                            <input type="radio" id="grid-html" name="block_type"
                                   value="<?php _e('html', DYNAMICBLOCK_TEXT); ?>"
                                   onclick="block_type_radio_click(this)" class="block-type-nav-radio" required>
                        </label>
                    </li>
                    <li class="block-type-nav-item">
                        <span class="display-free">FREE</span>
                        <label for="related-products">
                            <div class="dynamicblock-add-nav-item-image">
                                <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/related_block_ico.svg"
                                     alt="" title="">
                            </div>
                            <h6 class="block_type_nav_radio_title"><?php _e('Related Products',
                                    DYNAMICBLOCK_TEXT); ?></h6>
                            <input type="radio" id="related-products" name="block_type"
                                   value="<?php _e('related-products', DYNAMICBLOCK_TEXT); ?>"
                                   onclick="block_type_radio_click(this)" class="block-type-nav-radio" required>
                        </label>
                    </li>
                    <!-- PRO -->
                    <li class="block-type-nav-item">
                        <span class="display-pro">PRO</span>
                        <label for="bundle-pack">
                            <div class="dynamicblock-add-nav-item-image">
                                <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/bundle_block_ico.svg"
                                     alt="" title="">
                            </div>
                            <h6 class="block_type_nav_radio_title"><?php _e('Bundle Pack', DYNAMICBLOCK_TEXT); ?></h6>
                            <input type="radio" id="bundle-pack" name="block_type"
                                   value="<?php _e('bundle-pack', DYNAMICBLOCK_TEXT); ?>"
                                   onclick="block_type_radio_click(this)" class="block-type-nav-radio" required>
                        </label>
                    </li>
                    <li class="block-type-nav-item">
                        <span class="display-pro">PRO</span>
                        <label for="grid-accessories">
                            <div class="dynamicblock-add-nav-item-image">
                                <img src="<?php echo esc_url(DYNAMICBLOCK_PLUGIN_URL); ?>assets/images/accessories_block_ico.svg"
                                     alt="" title="">
                            </div>
                            <h6 class="block_type_nav_radio_title"><?php _e('Accessories', DYNAMICBLOCK_TEXT); ?></h6>
                            <input type="radio" id="grid-accessories" name="block_type"
                                   value="<?php _e('accessories', DYNAMICBLOCK_TEXT); ?>"
                                   onclick="block_type_radio_click(this)" class="block-type-nav-radio" required>
                        </label>
                    </li>
                    <!-- PRO -->
                </ul>
            </div>
            <div class="dynamicblock-add-nav-inner-right">
                <input type="hidden" name="post_type" value="dynamicblock-block">
                <button type="submit" class="dynamicblock-create-block-btn">ADD New Block</button>
                <p id="error_no_block_type_selected"></p>
            </div>
        </div>
    </form>
</div>