<?php

$g=0;
$post_id = get_the_ID();
$rules = get_post_meta($post_id, 'dynamicblock_post');
$what_to_display_rules = $rules[0]['dynamicblock_post_' . $post_id]['what_to_display']['post_query_rules'] ?? '';
$dataset_products= $rules[0]['dynamicblock_post_' . $post_id]['what_to_display']['datasets']['products'] ?? '';

$static_array = array();
$static_array['rules_include'] = array('' => 'Include / Exclude', 'includev' => 'Include', 'exclude' => 'Exclude');
$static_array['dataset'] = array('' => 'Datasets');
$static_array['condition'] = array('' => 'Conditions');
$static_array['tagfields'] = array('value_1' => 'Value 1');
$dynamicblock_what_to_display = 'dynamicblock_post[' . $_dynamicblock_key . '][what_to_display]';

$datasets_default_rules_type = DynamicBlock_Display_Rules::what_to_display_rule_types('');
?>

<div class="dynamicblock-rules-wrapper " id="postbox-container-3">
    <div class="meta-box-sortables ui-sortable dynamicblock-rules-wrapper dynamicblock-wtd-rules-wrapper " id="">
        <?php
        if ($what_to_display_rules) {

            $group = 0;

            foreach ($what_to_display_rules as $_dynamicblock_key_1 => $what_to_display_rule) {
                $rules_expression = $what_to_display_rule['rules-expression']?? '';
                $rules_include = $what_to_display_rule['rules-include'] ?? '';
                $rules_query_array = $what_to_display_rule['dynamicblock_query']?? '';

                ?>
                <div class="postbox main-dataset-wrapper " id="">
                    <div class="dynamicblock-rules-inner-item " id="">
                        <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">
                            <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">
                                <div class="dynamicblock-and-rule">
                                    <label class="dynamicblock-and-or-btn">
                                        <input type="radio"
                                               name="dynamicblock_post[<?php echo esc_attr($_dynamicblock_key); ?>][what_to_display][post_query_rules][<?php echo esc_attr($_dynamicblock_key_1); ?>][rules-expression]"
                                               value="and" <?php echo ($rules_expression == 'and') ? 'checked' : ''; ?> >
                                        <span class="dynamicblock-checkmark">AND</span>
                                    </label>
                                </div>
                                <?php if($group){ ?>
                                <div class="dynamicblock-or-rule">
                                    <label class="dynamicblock-and-or-btn">
                                        <input type="radio"
                                               name="dynamicblock_post[<?php echo esc_attr($_dynamicblock_key); ?>][what_to_display][post_query_rules][<?php echo esc_attr($_dynamicblock_key_1); ?>][rules-expression]"
                                               value="or" <?php echo ($rules_expression == 'or') ? 'checked' : '' ?> >
                                        <span class="dynamicblock-checkmark">OR</span>
                                    </label>
                                </div>
                                <?php } ?>
                                <div class="dynamicblock-rules-nav-desccription">
                                    <?php _e('Display products that meet the following conditions:', DYNAMICBLOCK_TEXT); ?>
                                </div>
                            </div>
                            <div class="dynamicblock-rules-action-bar">
                                <ul class="dynamicblock-rules-action-wrapper">
                                    <li><a href="javascript:void(0)" class="dynamicblock-rules-area-drag-drop">&nbsp;</a></li>
                                    <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"
                                           path-key1="dynamicblock_post[<?php echo esc_attr($_dynamicblock_key); ?>][what_to_display][post_query_rules][<?php echo esc_attr($_dynamicblock_key_1); ?>]"
                                           onclick="add_block(this)">&plus;</a>
                                    </li>

                                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove" onclick="remove_block(this)">&minus;</a>
                                        </li>

                                </ul>
                            </div>
                        </div>
                        <div class="dynamicblock-dynamicblock-query-main-container">
                            <?php $_dynamicblock_key_2 = 'dynamicblock_' . (time() + time());
                            $path_key_1 = 'dynamicblock_post[' . $_dynamicblock_key . '][what_to_display][post_query_rules][' . $_dynamicblock_key_1 . '][dynamicblock_query]';

                            $row= 0;

                            if ($rules_query_array) {

                                foreach ($rules_query_array as $_dynamicblock_key_2 => $rules_query) {

                                    $dataset = $rules_query['dataset'] ?? '';
                                    $condition = $rules_query['condition']?? '';
                                    $tagfields = $rules_query['tagfields']?? '';
                                    $expression = $rules_query['expression']?? '';
                                    ?>

                                    <div class="div-wrapper dynamicblock-query-wrapper loader-position">
                                        <div class="div-order-limit dynamicblock-query-dataset-wrapper">
                                            <div id='loader' class="loader-img"></div>
                                            <div class="dynamicblock-query-dataset">
                                                <div class="dynamicblock-select-dataset">
                                                    <select class="what_to_desplay_set_data dynamicblock-multi-select2_1 add-div-select " group_id="<?php echo esc_attr($_dynamicblock_key_1);?>" inner_row_id="<?php echo esc_attr($_dynamicblock_key_2); ?>"
                                                            id="what_to_desplay_set_data<?php echo esc_attr($g++); ?>" post_id="<?php echo esc_attr($post_id); ?>"   onchange="what_display_dataset_change(this)"
                                                            name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][dataset]">
                                                        <option value="" selected>Please Select Rule Type</option>
                                                        <?php
                                                        foreach ($datasets_default_rules_type as $key => $value) {
                                                            if (!empty($dataset_products) && in_array($key, $dataset_products)) {
                                                                ?>
                                                                <optgroup label="<?php echo esc_attr($key); ?>">
                                                                    <?php
                                                                    foreach ($value as $k => $v) {
                                                                        ?>
                                                                        <option <?php if ($dataset == $k) {
                                                                            echo "selected";
                                                                        } ?> value="<?php echo esc_attr($k); ?>">
                                                                            <?php echo esc_html($v); ?>
                                                                        </option>
                                                                        <?php
                                                                    }
                                                                    ?>
                                                                </optgroup>
                                                                <?php
                                                            }
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="dynamicblock_rules_operators_conditions"
                                                     id="dynamicblock_what_row_<?php echo esc_attr($_dynamicblock_key_2); ?>">
                                                    <?php
                                                    DynamicBlock_Admin::dynamicblock_what_display_dataset_ajax(array(
                                                            'group_id' => $_dynamicblock_key_1,
                                                            'rule_id' => $_dynamicblock_key_2,
                                                            'rule_type' => $dataset,
                                                            'condition' => isset($tagfields) ? $tagfields : false,
                                                            'operator' => $condition
                                                        ));
                                                    ?>
                                                </div>
                                                <label class="dynamicblock-and-or-btn">
                                                    <a class="dynamicblock-rules-add-btn add" href="javascript:void(0)"
                                                       path-key="<?php echo esc_attr($path_key_1); ?>" group_id="<?php echo esc_attr($_dynamicblock_key_1); ?>"
                                                       onclick="add_row(this)">   <span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>

                                                </label>
                                                <a class="dynamicblock-rules-add-btn remove" onclick="remove_row(this)">&minus;</a>

                                            </div>
                                        </div>
                                    </div>

                                <?php
                                $row++;
                                }
                            } else { ?>
                                <div class="div-wrapper dynamicblock-query-wrapper loader-position">
                                    <div class="div-order-limit dynamicblock-query-dataset-wrapper">
                                        <div id='loader' class="loader-img"></div>
                                        <div class="dynamicblock-query-dataset">
                                            <div class="dynamicblock-select-dataset">
                                                <select class="what_to_desplay_set_data dynamicblock-multi-select2_1 add-div-select " post_id="<?php echo esc_attr($post_id); ?>"
                                                        group_id="<?php echo esc_attr($_dynamicblock_key_1);?>" inner_row_id="<?php echo esc_attr($_dynamicblock_key_2); ?>"
                                                        id="what_to_desplay_set_data"  onchange="what_display_dataset_change(this)"
                                                        name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][dataset]">
                                                    <option value="" selected>Please Select Rule Type</option>
                                                </select>
                                            </div>
                                            <div class="dynamicblock_rules_operators_conditions"
                                                 id="dynamicblock_what_row_<?php echo esc_attr($_dynamicblock_key_2); ?>">
                                                <div class="dynamicblock-select-condition">
                                                    <select class="dynamicblock-multi-select2_1 add-div-select2"
                                                            name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][condition]">
                                                        <?php
                                                        foreach ($static_array['condition'] as $key => $value) {
                                                            echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                                <div class="dynamicblock-select-value">
                                                    <select class="dynamicblock-multi-select2 add-div-tagsinput"
                                                            name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][tagfields][]"
                                                            multiple="multiple">
                                                        <?php
                                                        foreach ($static_array['tagfields'] as $key => $value) {
                                                            echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>

                                            <label class="dynamicblock-and-or-btn">
                                                <a class="dynamicblock-rules-add-btn add" href="javascript:void(0)"
                                                   path-key="<?php echo esc_attr($path_key_1); ?>"  group_id="<?php echo esc_attr($_dynamicblock_key_1); ?>" onclick="add_row(this)">
                                                        <span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>
                                            </label>
                                            <a class="dynamicblock-rules-add-btn remove " href="javascript:void(0)" onclick="remove_row(this)">&minus;</a>
                                        </div>
                                    </div>
                                </div> <?php
                            } ?>
                        </div>
                    </div>
                </div>
            <?php
                $group++;
            }
        } else {

            $_dynamicblock_key_1 = 'dynamicblock_' . time();
            $dynamicblock_what_to_display = 'dynamicblock_post[' . $_dynamicblock_key . '][what_to_display]';
            $path_key_2 = $dynamicblock_what_to_display . '[post_query_rules][' . $_dynamicblock_key_1 . ']';
            ?>
            <div class="postbox main-dataset-wrapper " id="">
                <div class="dynamicblock-rules-inner-item " id="">
                    <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">
                        <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">
                            <div class="dynamicblock-and-rule">
                                <label class="dynamicblock-and-or-btn">
                                    <input type="radio"
                                           name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][<?php echo esc_attr($_dynamicblock_key_1); ?>][rules-expression]"
                                           value="and" checked="checked">
                                    <span class="dynamicblock-checkmark">AND</span>
                                </label>
                            </div>
                            <div class="dynamicblock-rules-nav-desccription">
                                <?php _e('Display products that meet the following conditions:', DYNAMICBLOCK_TEXT); ?>
                            </div>
                        </div>
                        <div class="dynamicblock-rules-action-bar">
                            <ul class="dynamicblock-rules-action-wrapper">
                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-drag-drop">&nbsp;</a></li>
                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"
                                       path-key1="<?php echo esc_attr($path_key_2); ?>" onclick="add_block(this)">&plus;</a>
                                </li>
                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove" onclick="remove_block(this)">&minus;</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <?php $_dynamicblock_key_2 = 'dynamicblock_' . (time() + time());
                    $path_key_1 = $dynamicblock_what_to_display . '[post_query_rules][' . $_dynamicblock_key_1 . '][dynamicblock_query]';
                    ?>
                    <div class="dynamicblock-dynamicblock-query-main-container">
                        <div class="div-wrapper dynamicblock-query-wrapper loader-position">
                            <div class="div-order-limit dynamicblock-query-dataset-wrapper">
                                <div id='loader' class="loader-img"></div>
                                <div class="dynamicblock-query-dataset">
                                    <div class="dynamicblock-select-dataset">
                                        <select class="what_to_desplay_set_data bfs_3 dynamicblock-multi-select2_1 add-div-select" post_id="<?php echo esc_attr($post_id); ?>"  id="what_to_desplay_set_data" group_id="<?php echo esc_attr($_dynamicblock_key_1); ?>" inner_row_id="<?php echo esc_attr($_dynamicblock_key_2); ?>"  onchange="what_display_dataset_change(this)"
                                                name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][dataset]">
                                            <option value="" selected>Please Select Rule Type</option>
                                        </select>
                                    </div>
                                    <div class="dynamicblock_rules_operators_conditions"
                                         id="dynamicblock_what_row_<?php echo esc_attr($_dynamicblock_key_2); ?>">
                                        <div class="dynamicblock-select-condition">
                                            <select class="dynamicblock-multi-select2_1 add-div-select2"
                                                    name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][condition]">
                                                <?php
                                                foreach ($static_array['condition'] as $key => $value) {
                                                    echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="dynamicblock-select-value">
                                            <select class="dynamicblock-multi-select2 add-div-tagsinput"
                                                    name="<?php echo esc_attr($path_key_1); ?>[<?php echo esc_attr($_dynamicblock_key_2); ?>][tagfields][]"
                                                    multiple="multiple">
                                                <?php
                                                foreach ($static_array['tagfields'] as $key => $value) {
                                                    echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <label class="dynamicblock-and-or-btn">
                                        <a class="dynamicblock-rules-add-btn add" href="javascript:void(0)"
                                           path-key="<?php echo esc_attr($path_key_1); ?>" group_id="<?php echo esc_attr($_dynamicblock_key_1); ?>" onclick="add_row(this)">
                                            <span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>
                                    </label>
                                    <a class="dynamicblock-rules-add-btn remove" href="javascript:void(0)" onclick="remove_row(this)">&minus;</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        <?php } ?>



    </div>
</div>

<style>
    .dynamicblock_rules_operators_conditions {
        width: 100%;
        display: flex;
    }
</style>

<!-- append the whole divison -->
<!--add div script-template append the whole divison-->
<script type="text/template" id="main-div-template">
    <div class="postbox main-dataset-wrapper " id="">
        <div class="dynamicblock-rules-inner-item " id="">
            <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">
                <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">
                    <div class="dynamicblock-and-rule">
                        <label class="dynamicblock-and-or-btn">
                            <input type="radio"
                                   name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][rules-expression]"
                                   value="and"
                                   checked="checked">
                            <span class="dynamicblock-checkmark">AND</span>
                        </label>
                    </div>
                    <div class="dynamicblock-or-rule">
                        <label class="dynamicblock-and-or-btn">
                            <input type="radio"
                                   name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][rules-expression]"
                                   value="or">
                            <span class="dynamicblock-checkmark">OR</span>
                        </label>
                    </div>

                    <div class="dynamicblock-rules-nav-desccription">
                        <?php _e('Display products that meet the following conditions:', DYNAMICBLOCK_TEXT); ?>
                    </div>
                </div>
                <div class="dynamicblock-rules-action-bar">
                    <ul class="dynamicblock-rules-action-wrapper">
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-drag-drop">&nbsp;</a></li>
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"
                               onclick="add_block(this)">&plus;</a></li>
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove" onclick="remove_block(this)">&minus;</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="dynamicblock-dynamicblock-query-main-container ">
                <div class="div-wrapper dynamicblock-query-wrapper loader-position">
                    <div class="div-order-limit dynamicblock-query-dataset-wrapper">
                        <div id='loader' class="loader-img"></div>
                        <div class="dynamicblock-query-dataset">
                            <div class="dynamicblock-select-dataset">
                                <select class="what_to_desplay_set_data dynamicblock-multi-select2_1  add-div-select dynamicblock-select-dataset " post_id="<?php echo esc_attr($post_id); ?>"   group_id="{{outer_key}}" inner_row_id="{{inner_key}}"  id="{{inner_key}}"  onchange="what_display_dataset_change(this)"
                                        name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][dataset]">
                                    <option value="" selected>Please Select Rule Type</option>

                                </select>
                            </div>
                            <div class="dynamicblock_rules_operators_conditions" id="dynamicblock_what_row_{{inner_key}}">
                                <div class="dynamicblock-select-condition">
                                    <select class="dynamicblock-multi-select2_1 add-div-select2 dynamicblock-select-condition"
                                            name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][condition]">
                                            <?php
                                            foreach ($static_array['condition'] as $key => $value) {
                                                echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                            }
                                            ?>
                                    </select>
                                </div>
                                <div class="dynamicblock-select-value">
                                    <select class="dynamicblock-multi-select2_1 add-div-tagsinput dynamicblock-select-value"
                                            name="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][tagfields][]"
                                            multiple="multiple">
                                        <?php
                                        foreach ($static_array['tagfields'] as $key => $value) {
                                            echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <label class="dynamicblock-and-or-btn">
                                <a class="dynamicblock-rules-add-btn add"
                                   path-key="<?php echo esc_attr($dynamicblock_what_to_display); ?>[post_query_rules][{{outer_key}}][dynamicblock_query]" group_id="{{outer_key}}"
                                   onclick="add_row(this)"><span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>

                            </label>

                            <a class="dynamicblock-rules-add-btn remove " href="javascript:void(0)" onclick="remove_row(this)">&minus;</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>
<!--end-->
<!--add row script-template-->
<script id="add-row-template" type="text/template">
    <div class="div-wrapper dynamicblock-query-wrapper loader-position">
        <div class="div-order-limit dynamicblock-query-dataset-wrapper">
            <div id='loader' class="loader-img"></div>
            <div class="dynamicblock-query-dataset">
                <div class="dynamicblock-select-dataset">
                    <select class="what_to_desplay_set_data dynamicblock-multi-select2_1 add-div-select dynamicblock-select-dataset " group_id="{{group_id}}" inner_row_id="{{dynamicblock_key_count}}"  id="{{dynamicblock_key_count}}"  post_id="<?php echo esc_attr($post_id); ?>"   onchange="what_display_dataset_change(this)"
                            name="{{path_key}}[{{dynamicblock_key_count}}][dataset]">
                        <option value="" selected>Please Select Rule Type</option>

                    </select>
                </div>
                <div class="dynamicblock_rules_operators_conditions" id="dynamicblock_what_row_{{dynamicblock_key_count}}">
                    <div class="dynamicblock-select-condition">
                        <select class="dynamicblock-multi-select2_1 add-div-select2 dynamicblock-select-condition"
                                name="{{path_key}}[{{dynamicblock_key_count}}][condition]">
                            <?php
                            foreach ($static_array['condition'] as $key => $value) {
                                echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                            }
                            ?>
                        </select>
                    </div>
                    <div class="dynamicblock-select-value">
                        <select class="dynamicblock-multi-select2_1 add-div-tagsinput dynamicblock-select-value"
                                name="{{path_key}}[{{dynamicblock_key_count}}][tagfields][]"
                                multiple="multiple">
                            <?php
                            foreach ($static_array['tagfields'] as $key => $value) {
                                echo '<option value="' . esc_attr($key) . '">' . esc_html($value) . '</option>';
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <label class="dynamicblock-and-or-btn">
                    <a class="dynamicblock-rules-add-btn add" onclick="add_row(this)" href="javascript:void(0)" group_id="{{group_id}}"
                       path-key="{{path_key}}"><span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>

                </label>

                <a class="dynamicblock-rules-add-btn remove " href="javascript:void(0)" onclick="remove_row(this)">&minus;</a>
            </div>
        </div>
    </div>
</script>
<!-- end -->



