<?php

$post_id                         = get_the_ID();
$g                               = 0;
$rules                           = get_post_meta($post_id, 'dynamicblock_post');
$when_to_display_rules           = (isset($rules[0]['dynamicblock_post_' . $post_id]['when_to_display']['post_query_rules'])) ? $rules[0]['dynamicblock_post_' . $post_id]['when_to_display']['post_query_rules'] : '';
$static_array                    = array();
$static_array['hide-show-block'] = array('' => 'Show/Hide', 'show' => 'Show', 'hide' => 'Hide');
$static_array['dataset']         = array('' => 'Datasets');
$static_array['condition']       = array('' => 'Condition');
$static_array['tagfields']       = array('value_1' => 'Value 1');
$when_to_display                 = 'dynamicblock_post[' . $_dynamicblock_key . '][when_to_display]';
$datasets_default_rules_type     = DynamicBlock_Display_Rules::when_to_display_rule_types('');
$dataset_products                = (isset($rules[0]['dynamicblock_post_' . $post_id]['when_to_display']['datasets']['products'])) ? $rules[0]['dynamicblock_post_' . $post_id]['when_to_display']['datasets']['products'] : [];
?>

<div class="dynamicblock-rules-wrapper " id="postbox-container-3">
    <div class="meta-box-sortables ui-sortable dynamicblock-rules-wrapper dynamicblock-wtd-rules-wrapper " id="">
        <?php
        if ($when_to_display_rules) {
            $group = 0;

            foreach ($when_to_display_rules as $_dynamicblock_key_1 => $when_to_display_rule) {
                $rules_expression  = (isset($when_to_display_rule['rules-expression'])) ? $when_to_display_rule['rules-expression'] : array();
                $hide_show_block   = (isset($when_to_display_rule['hide-show-block'])) ? $when_to_display_rule['hide-show-block'] : array();
                $rules_query_array = (isset($when_to_display_rule['dynamicblock_query'])) ? $when_to_display_rule['dynamicblock_query'] : array();
                ?>

                <div class="postbox main-dataset-wrapper when-to-add-div-block" id="">
                    <div class="dynamicblock-rules-inner-item " id="">
                        <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">
                            <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">
                                <div class="dynamicblock-and-rule">
                                    <label class="dynamicblock-and-or-btn">
                                        <input type="radio"
                                               name="dynamicblock_post[<?php echo $_dynamicblock_key; ?>][when_to_display][post_query_rules][<?php echo $_dynamicblock_key_1; ?>][rules-expression]"
                                               value="and" <?php echo ($rules_expression == 'and') ? 'checked' : '' ?> >
                                        <span class="dynamicblock-checkmark">AND</span>
                                    </label>
                                </div>
                                <div class="dynamicblock-or-rule">
                                    <label class="dynamicblock-and-or-btn">
                                        <input type="radio"
                                               name="dynamicblock_post[<?php echo $_dynamicblock_key; ?>][when_to_display][post_query_rules][<?php echo $_dynamicblock_key_1; ?>][rules-expression]"
                                               value="or" <?php echo ($rules_expression == 'or') ? 'checked' : '' ?> >
                                        <span class="dynamicblock-checkmark">OR</span>
                                    </label>
                                </div>
                                <div class="dynamicblock-rules-nav-desccription">
                                    <?php _e('displays the block when it meets the following conditions:',
                                        DYNAMICBLOCK_TEXT); ?>
                                </div>
                            </div>

                            <div class="dynamicblock-rules-action-bar">
                                <ul class="dynamicblock-rules-action-wrapper">
                                    <li><a href="javascript:void(0)"
                                           class="dynamicblock-rules-area-drag-drop">&nbsp;</a></li>
                                    <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"
                                           path-key1="dynamicblock_post[<?php echo $_dynamicblock_key; ?>][when_to_display][post_query_rules][<?php echo $_dynamicblock_key_1; ?>]"
                                           onclick="when_to_add_div(this)">&plus;</a></li>
                                    <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove"
                                           onclick="remove_when_to_display_block (this)">&minus;</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="dynamicblock-dynamicblock-query-main-container">
                            <?php $_dynamicblock_key_2 = 'dynamicblock_' . (time() + time());
                            $path_key_1                = 'dynamicblock_post[' . $_dynamicblock_key . '][when_to_display][post_query_rules][' . $_dynamicblock_key_1 . '][dynamicblock_query]';
                            if ($rules_query_array) {
                                $row = 0;
                                foreach ($rules_query_array as $_dynamicblock_key_2 => $rules_query) {
                                    $path_key_1 = 'dynamicblock_post[' . $_dynamicblock_key . '][when_to_display][post_query_rules][' . $_dynamicblock_key_1 . '][dynamicblock_query]';
                                    $dataset    = (isset($rules_query['dataset'])) ? $rules_query['dataset'] : array();
                                    $condition  = (isset($rules_query['condition'])) ? $rules_query['condition'] : 'and';
                                    $tagfields  = (isset($rules_query['tagfields'])) ? $rules_query['tagfields'] : array();
                                    $expression = (isset($rules_query['expression'])) ? $rules_query['expression'] : '';
                                    ?>

                                    <div class="div-wrapper when_to_display_row loader-position">
                                        <div class="div-order-limit dynamicblock-query-dataset-wrapper">

                                            <div id='loader' class="loader-img"></div>

                                            <div class="dynamicblock-query-dataset">

                                                <div class="dynamicblock-select-dataset">

                                                    <select class="dynamicblock-multi-select2_1 add-div-select when_to_desplay_set_data bfs_5"

                                                            id="when_to_desplay_set_data<?php echo $g++ ?>"

                                                            group_id="<?php echo $_dynamicblock_key_1; ?>"

                                                            inner_row_id="<?php echo $_dynamicblock_key_2; ?>"

                                                            post_id="<?php echo $post_id ?>"

                                                            onload="when_display_dataset_change(this)"

                                                            onchange="when_display_dataset_change(this)"

                                                            name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][dataset]">

                                                        <option value="" selected>Datasets</option>

                                                        <?php

                                                        foreach ($datasets_default_rules_type as $key => $value) {

                                                            if (in_array($key, $dataset_products)) {

                                                                ?>

                                                                <optgroup label="<?php echo $key; ?>">

                                                                    <?php

                                                                    foreach ($value as $k => $v) {

                                                                        ?>

                                                                        <option <?php if ($dataset == $k) {

                                                                            echo "selected";
                                                                        } ?> value="<?php echo esc_attr($k); ?>"><?php echo $v; ?></option>

                                                                        <?php
                                                                    }

                                                                    ?>

                                                                </optgroup>

                                                                <?php
                                                            }
                                                        }

                                                        ?>

                                                    </select>

                                                </div>

                                                <div class="dynamicblock_rules_operators_conditions"

                                                     id="dynamicblock_when_row_<?php echo $_dynamicblock_key_2; ?>">

                                                    <?php

                                                    DynamicBlock_Admin::dynamicblock_when_display_dataset_ajax(array(

                                                        'group_id' => $_dynamicblock_key_1,

                                                        'rule_id' => $_dynamicblock_key_2,

                                                        'rule_type' => $dataset,

                                                        'condition' => isset($tagfields) ? $tagfields : false,

                                                        'operator' => $condition,

                                                    ));

                                                    ?>
                                                </div>

                                                <label class="dynamicblock-and-or-btn">

                                                    <a class="dynamicblock-rules-add-btn add"

                                                       path-key="<?php echo $path_key_1; ?>"

                                                       group_id="<?php echo $_dynamicblock_key_1; ?>"

                                                       onclick="when_to_add_row(this)"> <span

                                                                class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>


                                                </label>
                                                <a class="dynamicblock-rules-add-btn remove"

                                                   onclick="remove_when_to_display_row(this)">&minus;</a>


                                            </div>

                                        </div>

                                    </div>

                                    <?php $row++;
                                }
                            } else { ?>

                                <div class="div-wrapper when_to_display_row loader-position">

                                    <div class="div-order-limit dynamicblock-query-dataset-wrapper">

                                        <div id='loader' class="loader-img"></div>

                                        <div class="dynamicblock-query-dataset">

                                            <div class="dynamicblock-select-dataset">

                                                <select class="dynamicblock-multi-select2_1 add-div-select when_to_desplay_set_data bfs_1"

                                                        id="<?php echo $_dynamicblock_key_2; ?>"

                                                        group_id="<?php echo $_dynamicblock_key_1; ?>"

                                                        inner_row_id="<?php echo $_dynamicblock_key_2; ?>"

                                                        post_id="<?php echo $post_id ?>"

                                                        onchange="when_display_dataset_change(this)"

                                                        name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][dataset]">
                                                </select>

                                            </div>

                                            <div class="dynamicblock_rules_operators_conditions"

                                                 id="dynamicblock_when_row_<?php echo $_dynamicblock_key_2; ?>">

                                                <div class="dynamicblock-select-condition bfs_con_1">

                                                    <select class="dynamicblock-multi-select2_1 add-div-select2"

                                                            name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][condition]">

                                                        <?php

                                                        foreach ($static_array['condition'] as $key => $value) {

                                                            echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                                        }

                                                        ?>

                                                    </select>

                                                </div>

                                                <div class="dynamicblock-select-value">

                                                    <select class="dynamicblock-multi-select2 add-div-tagsinput"

                                                            name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][tagfields][]"

                                                            multiple="multiple">

                                                        <?php

                                                        foreach ($static_array['tagfields'] as $key => $value) {

                                                            echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                                        }

                                                        ?>

                                                    </select>

                                                </div>

                                            </div>

                                            <label class="dynamicblock-and-or-btn">

                                                <a class="dynamicblock-rules-add-btn add"

                                                   path-key="<?php echo $path_key_1; ?>"

                                                   group_id="<?php echo $_dynamicblock_key_1; ?>"

                                                   onclick="when_to_add_row(this)"> <span

                                                            class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>
                                            </label>

                                            <a class="dynamicblock-rules-add-btn remove"

                                               onclick="remove_when_to_display_row(this)">&minus;</a>

                                        </div>

                                    </div>

                                </div>

                            <?php } ?>

                        </div>

                    </div>

                </div> <?php

                $group++;
            }
        } //        Publish time

        else {

            $_dynamicblock_key_1 = 'dynamicblock_' . time();

            $when_to_display = 'dynamicblock_post[' . $_dynamicblock_key . '][when_to_display]';

            $path_key_2 = $when_to_display . '[' . $_dynamicblock_key_1 . ']';

            $_dynamicblock_key_2 = 'dynamicblock_' . (time() + time());

            $path_key_1 = $when_to_display . '[post_query_rules][' . $_dynamicblock_key_1 . '][dynamicblock_query]';

            ?>


            <div class="postbox main-dataset-wrapper when-to-add-div-block" id="">

                <div class="dynamicblock-rules-inner-item " id="">

                    <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">

                        <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">

                            <div class="dynamicblock-and-rule">

                                <label class="dynamicblock-and-or-btn">

                                    <input type="radio"

                                           name="<?php echo $when_to_display; ?>[post_query_rules][<?php echo $_dynamicblock_key_1; ?>][rules-expression]"

                                           value="and" checked="checked">

                                    <span class="dynamicblock-checkmark">AND</span>

                                </label>

                            </div>

                            <div class="dynamicblock-or-rule">

                                <label class="dynamicblock-and-or-btn">

                                    <input type="radio"

                                           name="<?php echo $when_to_display; ?>[post_query_rules][<?php echo $_dynamicblock_key_1; ?>][rules-expression]"

                                           value="or">

                                    <span class="dynamicblock-checkmark">OR</span>

                                </label>

                            </div>

                            <div class="dynamicblock-rules-nav-desccription">

                                <?php _e('displays when it meets the following conditions:', DYNAMICBLOCK_TEXT); ?>

                            </div>

                        </div>

                        <div class="dynamicblock-rules-action-bar">

                            <ul class="dynamicblock-rules-action-wrapper">

                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-drag-drop">&nbsp;</a>
                                </li>

                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"

                                       path-key1="<?php echo $path_key_2; ?>" onclick="when_to_add_div(this)">&plus;</a>

                                </li>

                                <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove"

                                       onclick="remove_when_to_display_block (this)">&minus;</a></li>

                            </ul>

                        </div>

                    </div>

                    <div class="dynamicblock-dynamicblock-query-main-container">

                        <div class="div-wrapper when_to_display_row loader-position">

                            <div class="div-order-limit dynamicblock-query-dataset-wrapper">

                                <div id='loader' class="loader-img"></div>

                                <div class="dynamicblock-query-dataset">

                                    <div class="dynamicblock-select-dataset ">

                                        <select class="dynamicblock-multi-select2_1 add-div-select when_to_desplay_set_data bfs_2"

                                                id="<?php echo $_dynamicblock_key_2; ?>"

                                                group_id="<?php echo $_dynamicblock_key_1; ?>"

                                                inner_row_id="<?php echo $_dynamicblock_key_2; ?>"

                                                post_id="<?php echo $post_id ?>"

                                                onchange="when_display_dataset_change(this)"

                                                name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][dataset]">

                                        </select>

                                    </div>

                                    <div class="dynamicblock_rules_operators_conditions"

                                         id="dynamicblock_when_row_<?php echo $_dynamicblock_key_2; ?>">

                                        <div class="dynamicblock-select-condition bfs_con_2">

                                            <select class="dynamicblock-multi-select2_1 add-div-select2"

                                                    name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][condition]">

                                                <?php

                                                foreach ($static_array['condition'] as $key => $value) {

                                                    echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                                }

                                                ?>

                                            </select>

                                        </div>

                                        <div class="dynamicblock-select-value">

                                            <select class="dynamicblock-multi-select2 add-div-tagsinput"

                                                    name="<?php echo $path_key_1; ?>[<?php echo $_dynamicblock_key_2; ?>][tagfields][]"

                                                    multiple="multiple">

                                                <?php

                                                foreach ($static_array['tagfields'] as $key => $value) {

                                                    echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                                }

                                                ?>

                                            </select>

                                        </div>

                                    </div>

                                    <label class="dynamicblock-and-or-btn">

                                        <a class="dynamicblock-rules-add-btn add" path-key="<?php echo $path_key_1; ?>"

                                           group_id="<?php echo $_dynamicblock_key_1; ?>"

                                           onclick="when_to_add_row(this)"> <span

                                                    class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>


                                    </label>

                                    <a class="dynamicblock-rules-add-btn remove "

                                       onclick="remove_when_to_display_row(this)">&minus;</a>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>

            </div>

        <?php } ?>

    </div>

</div>

<!-- append the whole divison -->

<!--add div script-template append the whole divison-->

<script type="text/template" id="template_when_to_display_block">
    <div class="postbox when-to-add-div-block main-dataset-wrapper" id="">
        <div class="dynamicblock-rules-inner-item " id="">
            <div class="dynamicblock-nav-wrapper hndle ui-sortable-handle">
                <div class="dynamicblock-rules-nav-bar handle-actions hide-if-no-js">
                    <div class="dynamicblock-and-rule">
                        <label class="dynamicblock-and-or-btn">
                            <input type="radio"
                                   name="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][rules-expression]"
                                   value="and"
                                   checked="checked">
                            <span class="dynamicblock-checkmark">AND</span>
                        </label>
                    </div>

                    <div class="dynamicblock-or-rule">
                        <label class="dynamicblock-and-or-btn">
                            <input type="radio"
                                   name="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][rules-expression]"
                                   value="or">
                            <span class="dynamicblock-checkmark">OR</span>
                        </label>
                    </div>

                    <div class="dynamicblock-rules-nav-desccription">
                        <?php _e('get products that meet these conditions', DYNAMICBLOCK_TEXT); ?>
                    </div>
                </div>

                <div class="dynamicblock-rules-action-bar">
                    <ul class="dynamicblock-rules-action-wrapper">
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-drag-drop">&nbsp;</a></li>
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-add add-rules-plus"
                               onclick="when_to_add_div(this)">&plus;</a></li>
                        <li><a href="javascript:void(0)" class="dynamicblock-rules-area-remove"
                               onclick="remove_when_to_display_block (this)">&minus;</a></li>
                    </ul>
                </div>
            </div>

            <div class="dynamicblock-dynamicblock-query-main-container">
                <div class="div-wrapper when_to_display_row loader-position">
                    <div class="div-order-limit dynamicblock-query-dataset-wrapper">
                        <div id='loader' class="loader-img"></div>
                        <div class="dynamicblock-query-dataset">
                            <div class="dynamicblock-select-dataset">
                                <select class="dynamicblock-multi-select2_1 add-div-select when_to_desplay_set_data bfs_3"
                                        id="{{inner_key}}"
                                        group_id="{{outer_key}}" inner_row_id="{{inner_key}}"
                                        post_id="<?php echo $post_id ?>" onchange="when_display_dataset_change(this)"
                                        name="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][dataset]">
                                </select>
                            </div>

                            <div class="dynamicblock_rules_operators_conditions"
                                 id="dynamicblock_when_row_{{inner_key}}">

                                <div class="dynamicblock-select-condition bfs_con_3">
                                    <select class="dynamicblock-multi-select2_1 add-div-select2"
                                            name="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][condition]">
                                        <?php
                                        foreach ($static_array['condition'] as $key => $value) {
                                            echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="dynamicblock-select-value">
                                    <select class="dynamicblock-multi-select2_1 add-div-tagsinput"
                                            name="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][dynamicblock_query][{{inner_key}}][tagfields][]"
                                            multiple="multiple">
                                        <?php
                                        foreach ($static_array['tagfields'] as $key => $value) {
                                            echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <label class="dynamicblock-and-or-btn">
                                <a class="dynamicblock-rules-add-btn add"
                                   path-key="<?php echo $when_to_display; ?>[post_query_rules][{{outer_key}}][dynamicblock_query]"
                                   group_id="{{outer_key}}"
                                   onclick="when_to_add_row(this)">
                                    <span class="dynamicblock-checkmark dynamicblock-btn-and">AND</span>
                                </a>
                            </label>
                            <a class="dynamicblock-rules-add-btn remove "
                               onclick="remove_when_to_display_row(this)">&minus;</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</script>

<!--end-->

<!--add row script-template-->
<script id="template_when_to_display_row" type="text/template">
    <div class="div-wrapper when_to_display_row loader-position">
        <div class="div-order-limit dynamicblock-query-dataset-wrapper">
            <div id='loader' class="loader-img"></div>
            <div class="dynamicblock-query-dataset">
                <div class="dynamicblock-select-dataset">
                    <select class="dynamicblock-multi-select2_1 add-div-select when_to_desplay_set_data bfs_4"
                            id="{{dynamicblock_key_count}}"
                            name="{{path_key}}[{{dynamicblock_key_count}}][dataset]" group_id="{{group_id}}"
                            inner_row_id="{{dynamicblock_key_count}}" id="{{dynamicblock_key_count}}"
                            post_id="<?php echo $post_id ?>" onchange="when_display_dataset_change(this)">
                    </select>
                </div>
                <div class="dynamicblock_rules_operators_conditions"
                     id="dynamicblock_when_row_{{dynamicblock_key_count}}">
                    <div class="dynamicblock-select-condition bfs_con_4">
                        <select class="dynamicblock-multi-select2_1 add-div-select2"
                                name="{{path_key}}[{{dynamicblock_key_count}}][condition]">
                            <?php
                            foreach ($static_array['condition'] as $key => $value) {
                                echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                            }
                            ?>
                        </select>
                    </div>
                    <div class="dynamicblock-select-value">
                        <select class="dynamicblock-multi-select2_1 add-div-tagsinput"
                                name="{{path_key}}[{{dynamicblock_key_count}}][tagfields][]"
                                multiple="multiple">
                            <?php
                            foreach ($static_array['tagfields'] as $key => $value) {
                                echo '<option value="' . esc_attr($key) . '">' . $value . '</option>';
                            }
                            ?>
                        </select>
                    </div>
                </div>
                <label class="dynamicblock-and-or-btn">
                    <a class="dynamicblock-rules-add-btn add" href="javascript:void(0)" group_id="{{group_id}}"
                       onclick="when_to_add_row(this)" path-key="{{path_key}}"> <span
                                class="dynamicblock-checkmark dynamicblock-btn-and">AND</span></a>
                </label>
                <a class="dynamicblock-rules-add-btn remove" onclick="remove_when_to_display_row(this)">&minus;</a>
            </div>
        </div>
    </div>
</script>

<!-- end -->







