<?php

class DynamicBlock_Conditional_Content_Input_Date extends DynamicBlock_Conditional_Content_Input_Text {

    public function __construct() {
        $this->type = 'Date';
        parent::__construct();
    }

    public function render($field, $value = null) {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }
        ?>
        <input name="<?php echo esc_attr($field['name']); ?>" type="date" id="<?php echo esc_attr($field['id']); ?>" class="dynamicblock-date-picker-field  <?php echo esc_attr($field['class']); ?>" placeholder="<?php echo esc_attr($field['placeholder']); ?>" value="<?php echo esc_attr($value); ?>" />
        <?php
    }
}
?>