<?php

class DynamicBlock_Conditional_Content_Input_Text_Area {

    public function __construct() {
        $this->type = 'Text_Area';

        $this->defaults = array(
            'default_value' => '',
            'class' => '',
            'placeholder' => ''
        );
    }

    public function render($field, $value = null) {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }

        echo '<input name="' . esc_attr($field['name']) . '" type="textarea" id="' . esc_attr($field['id']) . '" class="' . esc_attr($field['class']) . ' dynamicblock_input_text" placeholder="' . esc_attr($field['placeholder']) . '" value="' . esc_attr($value) . '" />';
    }

}