<?php

class DynamicBlock_Conditional_Content_Input_text_area_default {

    public function __construct() {
        $this->type = 'text_area_default';

        $this->defaults = array(
            'default_value' => '',
            'class' => '',
            'placeholder' => ''
        );
    }

    public function render($field, $value = null) {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }

        $field['placeholder'] =  __( 'Separate values by " | ".', DYNAMICBLOCK_TEXT ); ?>

        <textarea style="width:100%" rows="5" name="<?php echo esc_attr($field['name']); ?>" id="<?php echo esc_attr($field['id']); ?>" class="<?php echo esc_attr($field['class']); ?>" placeholder="<?php echo esc_attr($field['placeholder']); ?>"><?php echo sanitize_textarea_field($value); ?></textarea>       
      <?php
    }
}