<?php

class DynamicBlock_Conditional_Content_Input_Time_Picker extends DynamicBlock_Conditional_Content_Input_Text {

    public function __construct() {
        $this->type = 'Time_Picker';
        parent::__construct();
    }

    public function render($field, $value = null) {
        $field = array_merge($this->defaults, $field);
        if (!isset($field['id'])) {
            $field['id'] = sanitize_title($field['id']);
        }

        echo '<input name="' . esc_attr($field['name']) . '" type="time" id="' . esc_attr($field['id']) . '" class="dynamicblock-date-picker-field  ' . esc_attr($field['class']) . '" placeholder="' . esc_attr($field['placeholder']) . '" value="' . esc_attr($value) . '" />';
    }

}
