<div class="dynamicblock-field-wrapp dynamicblock-select-field <?php echo (isset($_field['class']) && !empty($_field['class'])) ? esc_attr($_field['class']) : ''; ?>">
    <?php if (isset($_field['label']) && !empty($_field['label'])) { ?>
        <label for="<?php echo esc_attr($_field['id']); ?>"><?php echo esc_html($_field['label']); ?></label>
    <?php } ?>
    <?php
    $_selected = (isset($_field['value']) && !empty($_field['value'])) ? $_field['value'] : '';
    $rules = get_post_meta(get_the_ID(), 'dynamicblock_post');
    $post_note = $rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_note'] ?? '';
    $new_post_block_type = $rules[0]['dynamicblock_post_' . get_the_ID()]['block_info']['post_block_type'] ?? (sanitize_text_field($_GET['block_type']) ?? '');
    ?>

    <select class="dynamicblock-multi-select2 dynamicblock-field" name="<?php echo esc_attr($_field['name']); ?>" id="<?php echo esc_attr($_field['id']); ?>" <?php echo (isset($_field['multiple']) && $_field['multiple']) ? 'multiple' : ''; ?> selected-value="<?php echo (isset($_field['value']) && !empty($_field['value'])) ? esc_attr($_field['value']) : ''; ?>" onchange="<?php echo (isset($_field['onchange']) && !empty($_field['onchange'])) ? esc_attr($_field['onchange']) : ''; ?>">
        <?php if (isset($_field['placeholder']) && !empty($_field['placeholder'])) { ?>
            <option value=""><?php echo esc_html($_field['placeholder']); ?></option>
        <?php } ?>
        <?php
        if (isset($_field['options']) && !empty($_field['options']) && !isset($_field['is_page_obj'])) {
            foreach ($_field['options'] as $value => $option) {
        ?>
                <option value="<?php echo esc_attr($value); ?>"><?php echo esc_html($option); ?></option>
                <?php
            }
        } else if (isset($_field['is_page_obj']) && !empty($_field['is_page_obj'])) {
            foreach ($_field['is_page_obj'] as $key => $_page) {
                if ($key == 'wc_product_page'
                    || ($new_post_block_type == 'related-products' && $key != 'wc_login_register_page')
                    || $new_post_block_type == 'recent-view'
                    || $new_post_block_type == 'html'
                ) { ?>
                    <option <?php if ($key == $_selected) {
                                echo ' selected ';
                            } ?>value="<?php echo esc_attr($key); ?>" data-hook="<?php echo htmlentities(json_encode($_page['hooks'], JSON_UNESCAPED_SLASHES)); ?>">
                        <?php echo esc_html($_page['title']); ?></option>
            <?php }
            } ?>
            <option <?php if ('wc_custom_hook' == $_selected) {
                        echo ' selected ';
                    } ?> value="wc_custom_hook">Custom Page
            </option>
            <?php
        } else if (isset($_field['is_hook_obj']) && !empty($_field['is_hook_obj'])) {
            foreach ($_field['is_hook_obj'] as $key => $_page) {
            ?>
                <option <?php echo ($key == $_selected) ? 'selected ' : ''; ?> value="<?php echo esc_attr($key); ?>" data-hook="<?php echo htmlentities(json_encode($key, JSON_UNESCAPED_SLASHES)); ?>">
                    <?php echo esc_html($_page['title']); ?>
                </option>
        <?php
            }
        }
        ?>
    </select>
    <?php if (isset($_field['note']) && !empty($_field['note'])) { ?>
        <p><?php echo esc_html($_field['note']); ?></p>
    <?php } ?>
</div>