<?php
$data = get_post_meta($content->ID, 'dynamicblock_post', true);
$_content = (isset($data['dynamicblock_post_' . $content->ID]['how_to_display']['type-setting']['dynamicblock_editor_html'])) ? $data['dynamicblock_post_' . $content->ID]['how_to_display']['type-setting']['dynamicblock_editor_html'] : '';
$block_type_custom_css_class = $data['dynamicblock_post_' . $content->ID]['settings']['custom-css-class'];
$block_type_custom_css = $data['dynamicblock_post_' . $content->ID]['settings']['custom-css'];
$block_type_custom_js = $data['dynamicblock_post_' . $content->ID]['settings']['custom-js'];
if ($block_type_custom_css) { ?>
    <style>
        <?php echo esc_html($block_type_custom_css); ?>
    </style>
<?php
}
if ($block_type_custom_js) {
    echo '<script>jQuery(document).ready(function() {' . wp_strip_all_tags($block_type_custom_js) . '});</script>';
}


$when_to_display                    = (isset($data['dynamicblock_post_' . $content->ID]['when_to_display'])) ? $data['dynamicblock_post_' . $content->ID]['when_to_display'] : array();

$screen_size_condition = array();

if ( is_array( $when_to_display ) && !empty( $when_to_display['post_query_rules'] ) ) {
    $post_query_rules = $when_to_display['post_query_rules'];

    if ( !empty( $post_query_rules ) ) {
        foreach ($post_query_rules as $post_query_rule) {
            if ( !empty( $post_query_rule ) ) {
                foreach ($post_query_rule['dynamicblock_query'] as $query_rule) {
                    if ( $query_rule['dataset'] == "hide_screen" ) {
                        if( is_array($query_rule['tagfields']) ){
                            $screen_size_condition[] = $query_rule['dataset'].'_'.$query_rule['tagfields'][0];
                        }
                        else{
                            $screen_size_condition[] = $query_rule['dataset'].'_'.$query_rule['tagfields'];
                        }
                    }
                }
            }            
        }
    }
}

?>
<div class="dynamicblock-html-block-wrapper <?php echo esc_attr($block_type_custom_css_class); ?> <?php echo implode(' ', $screen_size_condition); ?>"><?php echo do_shortcode($_content); ?></div>